function analyUserAnalysis(token) {
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/useranalysis?&token=" + token + "&lang=zh_CN&f=json";

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}


/**
 *  公众号网页版虽然只能选7天内的数据，但是接口传入的日期可以超过7天
 */
function analyAppmsgAnalysis(token, begin_date, end_date, page_num, page_size) {

    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/appmsganalysis?action=all&begin_date=" + begin_date + "&end_date=" + end_date + "&order_by=1&order_direction=2" + "&token=" + token + "&lang=zh_CN&f=json&ajax=1&random=" + new Date().valueOf();

    var jsonData = {
        headers: headers,
        values: values,
        url: url
    }
    return JSON.stringify(jsonData)
}


function analyMessageanalysis(token){
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/messageanalysis?type=daily&t=statistics/msg&token="+token+"&lang=zh_CN&f=json";

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}

function analyGetUserAnalysisAttr(token,begin_date,end_date) {
  var headers = [];
  var values = [];
  var jsonData = {
    url:"https://mp.weixin.qq.com/misc/useranalysis?action=attr&begin_date="+begin_date+"&end_date="+end_date+"&token="+token+"&lang=zh_CN&f=json",
    headers:headers,
    values:values
  }
  return JSON.stringify(jsonData);
}

/*************************************************************************************/

function pAnalyUserAnalysis(response) {
    var json = JSON.parse(response);

    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.data = json.category_list[0].list;
        jsonData.base_resp.ret = 0;
    } else {
        jsonData.base_resp.ret == -2010;
        jsonData.base_resp.msg = json.base_resp.msg;
    }
    return JSON.stringify(jsonData);
}

function pAnalyAppmsganalysis(response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        var total_article_data = json.total_article_data;
        //        var article_summary_data = json.article_summary_data;

        data = JSON.parse(total_article_data).list;
        if(data == null){
            data = [];
        }

        jsonData.total_article_data = data;
        //        jsonData.article_summary_data = JSON.parse(article_summary_data);
        //        jsonData.data = json;
        jsonData.base_resp.ret = 0;
    } else {
        jsonData.base_resp.ret == -2010;
        jsonData.base_resp.msg = json.base_resp.msg;
    }
    return JSON.stringify(jsonData);
}

function pAnalyMessageanalysis(response){
    var json = JSON.parse(response);

    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.data = json.list;
        jsonData.base_resp.ret = 0;
    } else {
        jsonData.base_resp.ret == -2010;
        jsonData.base_resp.msg = json.base_resp.msg;
    }
    return JSON.stringify(jsonData);
}

function pAnalyGetUserAnalysisAttr(response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};
    if (json.base_resp.ret == 0) {
        var data = json.user_portrait.list;
        jsonData.base_resp.ret = 0;
        jsonData.data = data;
    }else{
        jsonData.base_resp.ret == -3000;
        jsonData.base_resp.msg = json.base_resp.msg;
    }
    return JSON.stringify(jsonData);
}

/*
 * 获取素材列表
 * type = 10,图文 15,视频
 *
 */
function articleGetArticles(token, begin, count, type){
    return articleGetArticlesByQuery(token, begin, count, type,"");
}

function articleGetArticlesByQuery(token, begin, count, type, query){
   var headers = [ ];

     var values = [];

     var url = "https://mp.weixin.qq.com/cgi-bin/appmsg?token=" + token + "&lang=zh_CN&f=json&type=" + type + "&action=list_card&t=media/appmsg_list2&begin=" + begin * count + "&count=" + count;

     if(query != null && query.length != 0){
         url += "&query=" + encodeURI(query);
     }

     var jsonData = {
     url:url,
     headers:headers,
     values:values
     };

     return JSON.stringify(jsonData);
}

function articleGetTempurl(token,appMsgId,idx){
    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch,br"},
                   {"Accept-Language":"zh-CN,zh;q=0.8,en;q=0.6"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/appmsg?begin=0&count=10&t=media/appmsg_list&type=10&action=list_card&lang=zh_CN&token=" + token},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [];

    var url = "https://mp.weixin.qq.com/cgi-bin/appmsg?token=" + token + "&lang=zh_CN&f=json&action=get_temp_url&ajax=1&random=0.21338756950041726" + "random" + "&appmsgid=" + appMsgId + "&itemidx=" + idx;

    var jsonData = {
    url:url,
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}



function articleDeleteArticle(token, appMsgId){

    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/appmsg?begin=0&count=10&t=media/appmsg_list&type=10&action=list&token=" + token + "&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];


    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"random":"0.0462703350931406"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"t":"ajax-response"},
                  {"sub":"del"},
                  {"AppMsgId":appMsgId}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/operate_appmsg",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function articleGetImgData(token, fileId){

    var headers = [];

    var values = [];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/getimgdata?mode=large&source=file&fileId=" + fileId + "&token=" + token + "&lang=zh_CN",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}


//music_id0:
//video_id0:
//show_cover_pic0:0
//shortvideofileid0:
//copyright_type0:0
//releasefirst0:1
//platform0:
//reprint_permit_type0:1 1可以转载 3禁止转载
//original_article_type0:互联网
//can_reward0:0
//reward_wording0:
//need_open_comment0:1
//sourceurl0:http://www.lagou.com/center/job_1538505.html?source=weixin&m=1
//free_content0:
//fee0:0
function articleCreateOrUpdateArticle(token, appMsgId, articlesJson,confirm){
    if (appMsgId == null) {
        appMsgId = "";
    }

    var isMul = 0;
    try{
        articlesJson = JSON.parse(articlesJson);
    }catch(err){

    }
    if(articlesJson.length > 1){
        isMul = 1;
    }

    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/appmsg?t=media/appmsg_edit&action=edit&type=10&isMul=" + isMul + "&isNew=1&lang=zh_CN&token=" + token},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var executeType = "update";
    if(appMsgId == ""){
        executeType = "create";
    }

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"random":"0.0462703350931406"},
                  {"f":"json"},
                  {"vid":""},
                  {"ajax":"1"},
                  {"t":"ajax-response"},
                  {"sub":executeType},
                  {"AppMsgId":appMsgId},
                  {"count":articlesJson.length + ""}];

    if(confirm != null || confirm != undefined){
        values.push({confirm:confirm});
    }

    for (var i = 0; i < articlesJson.length ; i++) {
        var article = articlesJson[i];

        for (var key in article) {
            var newkey = key + i;
            var newdic = {};
            newdic[newkey] = article[key];
            values.push(newdic);
        }
    }

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/operate_appmsg",
    headers:headers,
    values:values
    };
    return JSON.stringify(jsonData);
}


function articleGetArticleByAppMsgId(token, app_msg_id){
    var headers = [];

    var values = [];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/appmsg?t=media/appmsg_edit&action=edit&lang=zh_CN&token=" + token + "&type=10&appmsgid=" + app_msg_id + "&isMul=1&f=json",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function articleGetResource(token, type, fileId, begin){
    var headers = [];

    var values = [];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/filepage?token=" + token + "&lang=zh_CN&random=0.560133311431855&f=json&ajax=1&type=" + type + "&begin=" + begin + "&count=10",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}


// 预览
function articlePreviewGetArticle(token, userName, appmsgid){
    var headers = [];
    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/appmsg?t=media/appmsg_edit&action=edit&lang=zh_CN&token=" + token + "&type=10&appmsgid=" + appmsgid + "&isMul=1",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}




function articlePreview(token, userName, appMsgId, jsonArray){
    jsonArray = JSON.parse(jsonArray);
    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/appmsg?t=media/appmsg_edit&action=edit&lang=zh_CN&token=" + token + "&type=10&appmsgid=" + appMsgId + "&isMul=1"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"random":"0.0462703350931406"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"imgcode":""},
                  {"t":"ajax-response"},
                  {"sub":"preview"},
                  {"type":"10"},
                  {"vid":""},
                  {"AppMsgId":appMsgId},
                  {"count":jsonArray.length + ""},
                  {"preusername":userName}];

    for (var i = 0; i < jsonArray.length; i++) {
        var jsonObject = jsonArray[i];

        var title = "title" + i;
        var content = "content" + i;
        var digest = "digest" + i;
        var author = "author" + i;
        var fileid = "fileid" + i;
        var show_cover_pic = "show_cover_pic" + i;
        var sourceurl = "sourceurl" + i;
        var copyright_type = "copyright_type" + i;

        var pushTitle = {};
        pushTitle[title] = privateUrlDecode(jsonObject.title);
        values.push(pushTitle);

        var pushContent = {};
        pushContent[content] = privateUrlDecode(jsonObject.content);
        values.push(pushContent);

        var pushDigest = {};
        pushDigest[digest] = privateUrlDecode(jsonObject.digest);
        values.push(pushDigest);

        var pushAuthor = {};
        pushAuthor[author] = privateUrlDecode(jsonObject.author);
        values.push(pushAuthor);

        var pushFileid = {};
        pushFileid[fileid] = jsonObject.file_id + "";
        values.push(pushFileid);

        var pushShowConverPic = {};
        pushShowConverPic[show_cover_pic] = jsonObject.show_cover_pic + "";
        values.push(pushShowConverPic);

        var pushSourceUrl = {};
        pushSourceUrl[sourceurl] = jsonObject.source_url;
        values.push(pushSourceUrl);
    }

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/operate_appmsg",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}


//上传视频
function articleUploadVideo(token, ticket_id, ticket){

    var headers = [];
    var values = [];

    var filename = "video" + new Date().valueOf() + ".mp4";

    var formData = "name=\"file\"; filename=\"" + filename + "\"";
    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/filetransfer?action=upload_video_cdn&f=json&ticket_id=" + ticket_id + "&ticket=" + ticket + "&token=" + token + "&lang=zh_CN",
    headers:headers,
    values:values
    };
    jsonData.formData = formData;
    return JSON.stringify(jsonData);
}

//新建视频
//type = create update
function articleCrteataOrUpdateVideo(token, type, AppMsgId, title, content, fileid, digest, contenturl){
    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/appmsg?t=media/videomsg_edit&action=video_edit&type=15&isNew=1&lang=zh_CN&token=" + token},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"random":"0.6338910439517349"},
                  {"type":"15"},
                  {"count":"1"},
                  {"AppMsgId":AppMsgId},
                  {"title0":title},
                  {"content0":fileid},
                  {"fileid0":fileid},
                  {"digest0":digest},
                  {"contenturl0":contenturl}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/operate_appmsg?t=ajax-response&sub="+type+"&type=15&token="+token+"&lang=zh_CN",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}


//获取微视返回值
function articleGetWeishiCallback(token, weishiUrl){
    var headers = [];
    var values = [];

    var lastIndex = weishiUrl.length;
    if(weishiUrl.indexOf("?") != -1){
        lastIndex = weishiUrl.indexOf("?");
    }

    weishiUrl = weishiUrl.substring(0,lastIndex);
    weishiUrl = weishiUrl.substring(weishiUrl.lastIndexOf("/") + 1);

    var jsonData = {
    url:"https://open.t.qq.com/api/weishi/show?appid=801451669&callback=callback&token="+token+"&lang=zh_CN&f=json&ajax=1&random=0.2471659816801548&wid="+weishiUrl+"&_=1426819862501",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

//上传微视缩略图
function articleUploadImageByUrl(token, url){
    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/appmsg?t=media/videomsg_edit&action=video_edit&type=15&isNew=1&lang=zh_CN&token=" + token},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [{"token":token},
                  {"lang":""},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"random":"0.42510621016845107"},
                  {"url":url}];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/uploadimgbyurl",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}


function articleGetBroadcastHistory(token, beginIndex, count){
    var headers = [];

    var values = [];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/masssendpage?t=mass/list&action=history&begin=" + beginIndex + "&count=" + count + "&token=" + token + "&lang=zh_CN&f=json",
    headers:headers,
    values:values,
    };

    return JSON.stringify(jsonData);
}

function getFileInfoByFileId(token){
    var headers = [];
    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/filepage?1=1&token="+token+"&lang=zh_CN&token="+token+"&lang=zh_CN&f=json&ajax=1&random=0.46478483849205077&group_id=1&begin=0&count=50&type=2",
        headers :headers,
        values :values
    };

    return JSON.stringify(jsonData);
}

function privateUrlDecode(str){
    str = str.replace(/&lt;/g,"<");
    str = str.replace(/&gt;/g,">");
    str = str.replace(/&quot;/g,"\"");
    str = str.replace(/&amp;/g,"&");
    return str;
}
function articleAppmsgext(token,idJson) {
  var headers = [{"Accept":"application/json"},
                    {"Accept-Encoding":"gzip,deflate,sdch"},
                    {"Accept-Language":"zh-CN,zh;q=0.8"},
                    {"Connection":"keep-alive"},
                    {"Host":"mp.weixin.qq.com"},
                    {"Content-Type":"application/x-www-form-urlencoded"},
                    {"Origin":"https://mp.weixin.qq.com"},
                    {"Referer":"https://mp.weixin.qq.com/cgi-bin/appmsg?t=media/videomsg_edit&action=video_edit&type=15&isNew=1&lang=zh_CN&token=" + token},
                    {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

  var values = [{comment:"1"},
                {reward:"0"},
                {id:idJson},
                {token:token},
                {lang:"zh_CN"},
                {mod:"wap"},
                {r:new Date().valueOf() + ""},
                {f:"json"}];
  var jsonData = {
    url:"https://mp.weixin.qq.com/misc/appmsgext",
    headers:headers,
    values:values
  };
 return JSON.stringify(jsonData);
}


//群发是否管理员验证
function userSafeassistantAdminActionIsAdmin(token,uuid){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                       {"Accept-Encoding":"gzip,deflate"},
                       {"Accept-Language":"zh-CN,zh;q=0.8"},
                       {"Connection":"keep-alive"},
                       {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                       {"Host":"mp.weixin.qq.com"},
                       {"Origin":"https://mp.weixin.qq.com"},
                       {"Referer":"https://mp.weixin.qq.com"},
                       {"X-Requested-With":"XMLHttpRequest"}];

        var values = [{"lang":"zh_CN"},
                      {"random":"0.21970548620447516"},
                      {"f":"json"},
                      {"ajax":"1"},
                      {"token":token},
                      {"action":"get_uuid"},
                      {"uuid":uuid}];

        var jsonData = {
        url:"https://mp.weixin.qq.com/misc/safeassistant?1=1",
        headers:headers,
        values:values
        };

        return JSON.stringify(jsonData);
}
function pArticleGetArticles(response){

    if (response == null || response.length == 0) {
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var articleJson = JSON.parse(response);
    var ret = articleJson.base_resp.ret;
    if (ret == 0) {

        jsonData.base_resp.ret = 0;
        jsonData.articles = articleJson.app_msg_info;
    }else{
        jsonData.base_resp.ret = -1300;
        jsonData.base_resp.msg = "获取图文列表失败，请重试！";
    }

    return JSON.stringify(jsonData);
}

function pArticleGetArticle(response){

    if (response == null || response.length == 0) {
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    try{
        var json = JSON.parse(response);
        var app_msg_info = json.app_msg_info;


        var articleJson = JSON.parse(app_msg_info);

        jsonData.base_resp.ret = 0;
        jsonData.article_detail = articleJson.item[0];
    }catch(err){
        jsonData.base_resp.ret = -1301;
        jsonData.base_resp.msg = "获取图文失败，请重试！";
    }
    return JSON.stringify(jsonData);
}

function pArticleCreateOrUpdate(response){
    if (response == null || response.length == 0) {
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var result = JSON.parse(response);
    if (result.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
    }else if(result.base_resp.ret == 153008){
             jsonData.base_resp.ret = 153008;
            jsonData.base_resp.msg = "原创图文内容不能小于300字！";
    }else{
        jsonData.base_resp.ret = -1302;
        jsonData.base_resp.msg = "创建或修改图文失败！";
    }
    jsonData.result = result;
    return JSON.stringify(jsonData);
}

function pArticleDeleteArtilce(response){
    if (response == null || response.length == 0) {
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var result = JSON.parse(response);
    if (result.ret == 0) {
        jsonData.base_resp.ret = 0;
    }else{
        jsonData.base_resp.msg = "删除图文失败，原文可能已经不存在，请勿非法操作！";
        jsonData.base_resp.ret = "-1303";
    }

    return JSON.stringify(jsonData);
}

function pArticlePreviewGetArticle(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    try{
        response = response.substring(response.indexOf("infos = "));
        response = response.substring("infos = ".length, response.indexOf("item ="));
        response = response.substring(0, response.lastIndexOf(","));

        var articleJson = JSON.parse(response).item[0].multi_item;
        jsonData.base_resp.ret = 0;
        jsonData.articleJson = articleJson;
    }catch(err){
        jsonData.base_resp.ret = -1303;
        jsonData.base_resp.msg = "预览失败！";
    }

    return JSON.stringify(jsonData);
}

function pArticlePreview(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};
    var preview = JSON.parse(response);
    if(preview.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
    }else{
        jsonData.base_resp.ret =-1304;
        jsonData.base_resp.msg = "预览失败，您输入的微信号不是您的好友！";
    }
    return JSON.stringify(jsonData);
}

function pArticleUploadVoide(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var retJson = JSON.parse(response);
    if(retJson.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
        jsonData.content = retJson.content;
        jsonData.type = retJson.type;
        jsonData.location = retJson.location;
    }else if(retJson.base_resp.ret == -1){
        jsonData.base_resp.ret = -1306;
        jsonData.base_resp.msg = "系统错误，请稍后重试！";
    }else{
        jsonData.base_resp.ret = -1305;
        jsonData.base_resp.msg = "上传视频失败";
    }

    return JSON.stringify(jsonData);
}

function pArticleGetWeishiCallback(response){
    if(response == null || response.length == 0){
        return null;
    }

    response = response.replace("callback(","");
    response = response.replace(");","");
    var retJson = JSON.parse(response);

    var jsonData = {};
    jsonData.base_resp = {};
    if(retJson.ret == 0){
        jsonData.base_resp.ret = 0;
        jsonData.picurl = retJson.data.info.videos[0].picurl;
    }else{
        jsonData.base_resp.ret = -1307;
        jsonData.base_resp.msg = retJson.msg;
    }
    return JSON.stringify(jsonData);
}

function pArticleUploadImageByUrl(response){
    if(response == null || response.length == 0){
        return null;
    }

    var retJson = JSON.parse(response);

    var jsonData = {};
    jsonData.base_resp = {};
    if(retJson.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
        jsonData.fileid = retJson.content;
        jsonData.type = retJson.type;
        jsonData.location = retJson.location;
    }else{
        jsonData.base_resp.ret = -1308;
        jsonData.base_resp.msg = "上传微视缩略图失败！";
    }
    return JSON.stringify(jsonData);
}

function pArticleCrteataOrUpdateVideo(response)
{
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    jsonData.base_resp.ret = 0;
    var retJson = JSON.parse(response);
    if(retJson.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
        jsonData.appMsgId = retJson.appMsgId;
    }else{
        jsonData.base_resp.ret = -1306;
        jsonData.base_resp.msg = "新建视频失败！";
    }
    return JSON.stringify(jsonData);
}

function pArticleGetBroadcastHistory(e) {
	if (e == null || e.length == 0) {
		return
	}
	var g = {};
	g.base_resp = {};
	var h = JSON.parse(e);
	if (h.base_resp.ret == 0) {
		var f = JSON.parse(h.msg_items).msg_item;
		g.base_resp.ret = 0;
		g.broadcast_history = f
	} else {
		g.ret = -1310;
		g.msg = "获取群发历史失败"
	}
	return JSON.stringify(g)
}
function pGetFileInfoByFileId(response){
    if(response == null || response.length == 0){
        return;
    }
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};
    if(json.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
        jsonData.page_info = json.page_info;
    }else{
        jsonData.ret = -1309;
        jsonData.msg = "获取资源数据失败";
    }
    return JSON.stringify(jsonData);
}
function pArticleAppmsgext(response) {
    if(response == null || response.length == 0){
        return;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var json = JSON.parse(response);

    jsonData.base_resp.ret = 0;
    jsonData.appmsg = json.appmsg;

    return JSON.stringify(jsonData);
}
function pUserSafeassistantAdminActionIsAdmin(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);
    if (jsonObject.base_resp.ret == 0){
        //登录成功
        jsonData.base_resp.ret = 0;
        if (jsonObject.isadmin == 1){
            jsonData.base_resp.msg = "管理员已验证";
        }else {
            jsonData.base_resp.msg = "已向管理员发送群发请求";
        }
        jsonData.isadmin = jsonObject.isadmin;
    }
    return JSON.stringify(jsonData);
}
//获取评论列表
function commentAppmsgCommentList(token, begin, count){
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/appmsgevent?t=wap_templates/discuss/index&action=list_app_msg&type=1&begin="+begin+"&count="+count+"&token="+token+"&lang=zh_CN&mod=wap&f=json";

    var jsonData = {
    url: url,
    headers: headers,
    values: values
    }
    return JSON.stringify(jsonData);
}

function pCommentAppmsgCommentList(response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        var comment_list = json.app_msg_list;
        jsonData.comment_list = JSON.parse(comment_list).app_msg;
    }else {
        jsonData.base_resp.ret = 2200;
        jsonData.base_resp.msg = json.base_resp.msg;
    }
    return JSON.stringify(jsonData);
}

//POST是否精选评论
// action = remove_good_comment
// action = set_good_comment
function commentAppmsgCommentGood(token, comment_id, action, user_comment_id) {
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip, deflate"},
                   {"Accept-Language":"zh-CN,zh;q=0.8,en;q=0.6"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com "},
                   {"Referer":"https://mp.weixin.qq.com/misc/appmsgcomment?action=list_latest_comment&begin=0&count=10&mp_version=7&token=370193076&lang=zh_CN "},
                   {"User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.101 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"random": new Date().valueOf() + ""},
                  {"comment_id": comment_id + ""},
                  {"action":action},
                  {"user_comment_id_count":"1"},
                  {"user_comment_id_0":user_comment_id + ""}];

    var jsonData = {
        headers : headers,
        values : values,
        url : "https://mp.weixin.qq.com/misc/appmsgcomment"
    }
    return JSON.stringify(jsonData);
}

function pCommentAppmsgCommentGood(response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }

    return JSON.stringify(jsonData);
}


function commentAppmsgComment(token,type,begin,count,comment_id) {
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/appmsgcomment?t=wap_templates/discuss/list&action=list_comment&type="+type+"&begin="+begin+"&count="+count+"&comment_id="+comment_id+"&token="+token+"&lang=zh_CN&mod=wap&f=json";

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}

function pCommentAppmsgComment(response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        var comment_list = json.comment_list;
        jsonData.comment_list = JSON.parse(comment_list).comment;
    }else {
        jsonData.base_resp.ret = -2200;
        jsonData.base_resp.msg = json.base_resp.msg;
    }
    return JSON.stringify(jsonData);
}


//回复评论
//POST
function commentAppmsgCommentReply (token, comment_id, content_id, content) {
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip, deflate"},
                   {"Accept-Language":"zh-CN,zh;q=0.8,en;q=0.6"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/misc/appmsgcomment?action=list_latest_comment&begin=0&count=10&mp_version=7&token=370193076&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.101 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];


    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"random":new Date().valueOf() + ""},
                  {"comment_id":comment_id + ""},
                  {"content_id":content_id + ""},
                  {"content":content + ""}];

    var jsonData = {
        headers : headers,
        values : values,
        url : "https://mp.weixin.qq.com/misc/appmsgcomment?action=reply_comment&token=" + token + "&lang=zh_CN"
    }
    return JSON.stringify(jsonData);
}

function pCommentAppmsgCommentReply (response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        jsonData.reply_id = json.reply_id;
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }

    return JSON.stringify(jsonData);
}

//删除评论
//POST
function commentAppmsgDeleteReply(token, reply_id,comment_id,content_id) {
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip, deflate"},
                   {"Accept-Language":"zh-CN,zh;q=0.8,en;q=0.6"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/misc/appmsgcomment?action=list_latest_comment&begin=0&count=10&mp_version=7&token=370193076&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.101 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"random": new Date().valueOf() + ""},
                  {"reply_id": reply_id + ""},
                  {"comment_id":comment_id + ""},
                  {"content_id":content_id + ""}]

    var jsonData = {
        headers : headers,
        values : values,
        url : "https://mp.weixin.qq.com/misc/appmsgcomment?action=delete_reply&token="+token+"&lang=zh_CN"
    }
    return JSON.stringify(jsonData);
}

function pCommentAppmsgDeleteReply (response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        jsonData.reply_id = json.reply_id;
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }

    return JSON.stringify(jsonData);
}

//获取新评论
function commentPollNewCommentCnt (token) {
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/appmsgcomment?action=poll_biz_new_comment_cnt&token=" + token + "&lang=zh_CN&token=" + token + "&lang=zh_CN&f=json&ajax=1&random=" + new Date().valueOf();

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}

function pCommentPollNewCommentCnt (response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        jsonData.new_num = json.new_num;
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }

    return JSON.stringify(jsonData);
}

function commentAppMsgCommentListComment(token,type,begin,count,comment_id){
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/appmsgcomment?action=list_comment&mp_version=7&type="+type+"&begin="+begin+"&count="+count+"&comment_id="+comment_id+"&token="+token+"&lang=zh_CN&f=json";

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}

function pCommentAppMsgCommentListComment(response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        var comment_list = json.comment_list;
        jsonData.title = json.title;
        var comment = JSON.parse(comment_list).comment;
        jsonData.comment = comment;
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }

    return JSON.stringify(jsonData);
}


//赞赏
function commentAppMsgStatList(token,begin,count){
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/misc/appmsgevent?t=wap_templates/reward/index&action=list_app_msg&type=2&begin="+begin+"&count="+count+"&token="+token+"&lang=zh_CN&mod=wap&f=json";

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}


function pCommentAppMsgStatList(response){
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        jsonData.app_msg = JSON.parse(json.app_msg_list).app_msg;
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }

    return JSON.stringify(jsonData);
}

function commentGetappmsgStat(token,appmsgid,idx,offset,count){
    var headers = [];
    var values = [];
    var url = "https://mp.weixin.qq.com/merchant/reward?action=getappmsgstat&appmsgid="+appmsgid+"&idx="+idx+"&offset="+offset+"&count="+count+"&token="+token+"&lang=zh_CN&mod=wap&f=json";

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}

function pCommentGetappmsgStat(response){
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        var data = json.data;
        data = JSON.parse(data);

        jsonData.record_list = data.record_list;
        jsonData.total_count = json.total_count;
        jsonData.total_reward = json.total_reward;
        jsonData.pub_time = json.pub_time;
        jsonData.invite_authority = json.invite_authority;
        jsonData.appmsg_title = json.appmsg_title;
        jsonData.total_usr_count = json.total_usr_count;
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }

    return JSON.stringify(jsonData);
}

//回复赞赏
function commnetAppmsgstatReply(token,tofakeid,type,content,out_trade_no) {
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip, deflate"},
                   {"Accept-Language":"zh-CN,zh;q=0.8,en;q=0.6"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com "},
                   {"Referer":"https://mp.weixin.qq.com/misc/appmsgcomment?action=list_latest_comment&begin=0&count=10&mp_version=7&token=370193076&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/45.0.2454.101 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"type":type + ""},
                  {"content":content + ""},
                  {"r": new Date().valueOf() + ""},
                  {"tofakeid": tofakeid + ""},
                  {"out_trade_no":out_trade_no + ""},
                  {"mod":"wap"}]
    var url = "https://mp.weixin.qq.com/cgi-bin/singlesend";

    var jsonData = {
    headers: headers,
    values: values,
    url: url,
    }
    return JSON.stringify(jsonData);
}

function pCommnetAppmsgstatReply(response) {
    var json = JSON.parse(response);
    var jsonData = {};
    jsonData.base_resp = {};

    if (json.base_resp.ret == 0) {
        jsonData.base_resp.ret = 0;
        jsonData.base_resp.msg = "回复成功";
    }else{
        jsonData.base_resp.ret = -2201;
        jsonData.base_resp.msg = json.base_resp.msg;
    }
    return JSON.stringify(jsonData);
}

function countGetAppidAndToken(token){
    var headers = [{"Accept":"text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/home?t=home/index&lang=zh_CN&token=" + token},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/misc/pluginloginpage?action=stat_user_summary&pluginid=luopan&t=statistics/index&token=" + token + "&lang=zh_CN",
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}

function countGetArticlePageView(articleId, appIdToken, startDate, endDate){

    var headers = [{"Accept":"text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/home?t=home/index&lang=zh_CN&token=" + token},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [];

    var jsonData = {
        url:"https://mta.qq.com/mta/wechat/ctr_article_detail/get_trend_chart_data?article_id=" + articleId + "&index=IntPageReadUser&chart_start_date=" + startDate + "&chart_date_len=30&" + "start_date=" + startDate + "&end_date=" + endDate + "&need_compare=0&start_compare_date=&end_compare_date=&app_id=&appid=" + appIdToken.appid + "&pluginid=luopan&token=" + appIdToken.pluginToken + "&devtype=" + appIdToken.devtype + "&time_type=day&rnd=1405498678381&ajax=1",
        headers:headers,
        values:values,
    };

    return JSON.stringify(jsonData);
}



function countGetUserCount(appIdToken, startDate, endDate){
    var headers = [];

    var values = [];

    var jsonData = {
        url:"https://mta.qq.com/mta/wechat/ctr_user_summary/get_key_index_data_and_chart?" + "start_date=" + startDate + "" + "&end_date=" + endDate + "" + "&need_compare=0" + "&start_compare_date=" + "&end_compare_date=" + "&app_id=" + "&appid=" + appIdToken.appid + "&pluginid=luopan&token=" + appIdToken.pluginToken + "&from=" + "&devtype=" + appIdToken.devtype + "" + "&time_type=day" + "&rnd=" + (new Date().valueOf()) + "&ajax=1",
        headers:headers,
        values:values,
    };
    return JSON.stringify(jsonData);
}

function countGetUserAttrCount(appIdToken, index, date){

    var headers = [];

    var values = [];

    var jsonData = {
        url:"https://mta.qq.com/mta/wechat/ctr_user_attr/get_table_data?index=" + index + "&start_date=" + date + "&end_date=" + date + "&need_compare=&start_compare_date=&end_compare_date=&app_id=&appid=" + appIdToken.appid + "&pluginid=luopan&token=" + appIdToken.pluginToken + "&devtype=" + appIdToken.devtype + "&rnd=1396601639946",
        headers:headers,
        values:values,
    };

    return JSON.stringify(jsonData);
}



function countGetAritcleCount(appIdToken, page, start_date, end_date, page_index){
	  var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mta.qq.com"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.1453.110 Safari/537.36 CoolNovo/2.0.9.20"},
                   {"X-Requested-With":"XMLHttpRequest"}];

	    var values = [];

	    var jsonData = {
	        url:"https://mta.qq.com/mta/wechat/ctr_article_detail/get_list?sort=RefDate%20desc&keyword=&page=" + page + "&appid=" + appIdToken.appid + "&pluginid=luopan&token=" + appIdToken.pluginToken + "&from=&devtype=" + appIdToken.devtype + "&time_type=day&start_date=" + start_date + "&end_date=" + end_date + "&need_compare=0&app_id=&rnd=" + (new Date().valueOf()) + "&ajax=1",
	        headers:headers,
	        values:values,
	    };
	    return JSON.stringify(jsonData);
};

function pCountArticelCount(response){
    if (response == null || response.length == 0) {
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};
    var retArticleCount = [];

    var articleCountJson = JSON.parse(response);
    try{
        var articleCountData = articleCountJson.data;
        for (var i = 0; i < articleCountData.length; i++) {
            articleCountItemData = articleCountData[i];

            var retArticleCountItem = {};
            retArticleCountItem.id = articleCountItemData.id;
            retArticleCountItem.title = articleCountItemData.title;
            retArticleCountItem.name = articleCountItemData.name;

            var retArticleItemIndex = [];
            var articleItemIndex = articleCountItemData.index;
            for(var j = 0 ;j < articleItemIndex.length ;j++){
                retArticleItemIndex.push(articleItemIndex[j]);
            }

            retArticleCountItem.index = retArticleItemIndex;

            retArticleCount.push(retArticleCountItem);
        }

        jsonData.base_resp.ret = 0;
        jsonData.articleCount = retArticleCount;
    }catch(err){
        jsonData.base_resp.ret = -1400;
        jsonData.base_resp.msg = "图文分析获取失败，请稍后重试！";
    }

    return JSON.stringify(jsonData);
}

function pCountGetUserCount(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var retUserCounts = [];
    try{
        var userCount = JSON.parse(response).chart;
        userCount =  JSON.parse(JSON.stringify(userCount).replace(/null/g,"0"));

        var newUser = userCount.NewUser.series[0].data;
        var cancelUser = userCount.CancelUser.series[0].data;
        var netUser = userCount.NetUser.series[0].data;
        var cumulateUser = userCount.CumulateUser.series[0].data;

        for(var i = 0 ; i < newUser.length ;i++){
            var retUserCount = {};
            retUserCount.newUser = newUser[i].y;
            retUserCount.cancelUser = cancelUser[i].y;
            retUserCount.Netuser = netUser[i].y;
            retUserCount.cumulateUser = cumulateUser[i].y;

            retUserCount.time = newUser[i].name;

            retUserCounts.push(retUserCount);
        }

        jsonData.list_user = retUserCounts;
        jsonData.base_resp.ret = 0;
    }catch(err){
        jsonData.base_resp.ret = -1401;
        jsonData.base_resp.msg = "获取用户分析失败，请稍后重试！";
    }

    return JSON.stringify(jsonData);
}

function fansGetFans(token, group_id, page_index, page_total){
    var headers = [];
    var values = [];

    if(group_id == -1 || group_id == 0){
        group_id = -2;
    }

    var url = "https://mp.weixin.qq.com/cgi-bin/user_tag?action=get_user_list&groupid="+group_id+"&begin_openid=-1&begin_create_time=-1&limit="+page_total+"&offset="+page_index*page_total+"&backfoward=1&token="+token+"&lang=zh_CN&f=json";

    var jsonData = {
        url :url,
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function fansGetContactInfo(token, fakeid){

    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/contactmanage?t=user/index&pagesize=500000&pageidx=0&type=0&token=" + token+ "&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"fakeid":fakeid},
                  {"lang":"zh_CN"},
                  {"token":token},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"t":"ajax-getcontactinfo"}];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/getcontactinfo",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

/**
 * type = 1修改备注。2=修改分组 2014年10月13日 13:02:28
 */
function fansModifyContacts(token, fakeid, param, type){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/contactmanage?t=user/index&pagesize=500000&pageidx=0&type=0&token=" + token + "&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"token":token},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"}];

    if (type == 1) {
        values.push({"tofakeuin":fakeid});
        values.push({"remark":param});
        values.push({"action":"setremark"});
        values.push({"t":"ajax-response"});
    } else if (type == 2) {
        values.push({"tofakeidlist":fakeid});
        values.push({"contacttype":param});
        values.push({"action":"modifycontacts"});
        values.push({"t":"ajax-putinto-group"});
    }

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/modifycontacts",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

function fansModifyGroup(token, groupId, param, type){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/contactmanage?t=user/index&pagesize=10&pageidx=0&type=0&token=" + token + "&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"token":token},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"t":"ajax-friend-group"}];

    if (type == 1) {
        values.push({"name":param});
        values.push({"func":"add"});
    } else if (type == 2) {
        values.push({"name":param});
        values.push({"func":"rename"});
        values.push({"id":groupId});
    } else if (type == 3) {
        values.push({"func":"del"});
        values.push({"id":groupId});
    }

    var jsonData =  {
        url:"https://mp.weixin.qq.com/cgi-bin/modifygroup?t=ajax-friend-group",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}


function pFansGetFans(response){

    var jsonData = {};
    jsonData.base_resp = {};

    try{
        if (response == null || response.length == 0) {
            return null;
        }

        var json = JSON.parse(response);

        var groupsJson = json.group_info?(json.group_info.group_info_list?json.group_info.group_info_list:[]):[];
        var friendsJson = json.user_list?(json.user_list.user_info_list?json.user_list.user_info_list:[]):[];

        var retGroupsJson = [];
        for (var i = 0; i < groupsJson.length; i++) {
            var group = groupsJson[i];
            var groupJson = {};

            groupJson.id = group.group_id;
            groupJson.count = group.group_cnt;
            groupJson.name = group.group_name;
            groupJson.group_create_time = group.group_create_time;

            retGroupsJson.push(groupJson);
        }

        var retFriendsJson = [];

        for (var i = 0; i < friendsJson.length; i++) {
            var friend = friendsJson[i];
            var friendJson = {};

            friendJson.nick_name = friend.user_name;
            friendJson.remark_name = friend.user_remark;

            var groupId = friend.user_group_id;
            var groupIdStr;
            if(groupId.length == 0){
                groupIdStr = 0;
            }else{
                groupIdStr = groupId[0];
            }

            friendJson.group_id = groupIdStr;
            friendJson.fake_id = friend.user_openid;
            friendJson.user_openid = friend.user_openid

            retFriendsJson.push(friendJson);
        }

        jsonData.base_resp.ret = 0;
        jsonData.groups = retGroupsJson;
        jsonData.friends = retFriendsJson;

        return JSON.stringify(jsonData);
    }catch(err){
        jsonData = {};
        jsonData.base_resp = {};
        jsonData.base_resp.ret = -1200;
        jsonData.base_resp.msg = "获取好友列表失败,请稍后重试";

        return JSON.stringify(jsonData);
    }
}

function pFansGetContactInfo(response){
    var jsonData = {};
    jsonData.base_resp = {};

    response = response.replace("<br\\/>", "");
    var baseResponse = JSON.parse(response);

    var ret = baseResponse.base_resp.ret;

    if (ret == 0) {
        var contactInfo = baseResponse.contact_info;

        jsonData.fake_id = contactInfo.fake_id + "";
        jsonData.nick_name = contactInfo.nick_name;
        jsonData.user_name = contactInfo.user_name;
        jsonData.signature = contactInfo.signature;
        jsonData.city = contactInfo.city;
        jsonData.province = contactInfo.province;
        jsonData.country = contactInfo.country;
        jsonData.gender = contactInfo.gender;
        jsonData.remark_name = contactInfo.remark_name;
        jsonData.group_id = contactInfo.group_id;

        jsonData.base_resp.ret = 0;
    }else{
        jsonData = {};
        jsonData.base_resp = {};
        jsonData.base_resp.ret = -1201;
        jsonData.base_resp.msg = "用户信息获取失败，请稍后重试";
    }

    return JSON.stringify(jsonData);
}

function pFansModifyContacts(response){
    var jsonData = {};
    jsonData.base_resp = {};

    var modifyContactsResult = JSON.parse(response);
    var ret = modifyContactsResult.base_resp.ret;
    if (ret == 0) {
        jsonData.base_resp.ret = 0;
    }else{
        jsonData.base_resp.ret = -1202;
        jsonData.base_resp.msg = "修改粉丝分组失败";
    }

    return JSON.stringify(jsonData);
}

function pFansModifyGroup(response){
    var jsonData = {};
    jsonData.base_resp = {};

    var modifyGroupResult = JSON.parse(response);

    var ret = modifyGroupResult.base_resp.ret;
    if (ret ==  0) {
        jsonData.base_resp.ret = 0;
    }else{
        jsonData.base_resp.ret = -1203;
        jsonData.base_resp.msg = "修改分组失败";
    }
    return JSON.stringify(jsonData);
}





function msgGetMessage(token,offset){
    var headers = [];
    var values = [];
    var jsonData = {
    url: "https://mp.weixin.qq.com/cgi-bin/message?t=message/list&action=&keyword=&frommsgid=&offset=" + offset + "&count=50&day=7&filterivrmsg=0&token=" + token + "&lang=zh_CN&f=json",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function msgGetRecent20Message(token, fakeid){
    var headers = [];
    var values = [];
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/singlesendpage?tofakeid=" + fakeid + "&t=message/send&action=index&token=" + token + "&lang=zh_CN&f=json",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}
function msgGetMessageImage(h, m, l, j) {
	var k = [];
	var i = [];
	var n = {
		url: "https://mp.weixin.qq.com/cgi-bin/getimgdata?token=" + h + "&msgid=" + m + "&mode=" + j + "&source=" + l + "&fileId=",
		headers: k,
		values: i
	};
	return JSON.stringify(n)
}

function msgGetMessageVoice(token, msgid, source){
    var headers = [];
    var values = [];
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/getvoicedata?msgid=" + msgid +"&fileid=&source="+ source +"&token="+ token +"&lang=zh_CN",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

function getMessageVideo(token, msgid, source){
    var headers = [];
    var values = [];
    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/getvideodata?msgid=" + msgid +"&fileid=&source="+ source +"&token="+ token +"&lang=zh_CN",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function msgReply(token, tofakeid, param, type){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/singlesendpage?tofakeid=" + tofakeid + "&t=message/send&action=index&token=" + token + "&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"random":"0.9201387697830796"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"t":"ajax-response"},
                  {"imgcode":""},
                  {"tofakeid":tofakeid},
                  {"type":type + ""}];

    if (type == 1) {
        values.push({"content":param});
    } else if (type == 2 || type == 3) {
        values.push({"file_id":param});
        values.push({"fileid":param});
    } else if (type == 10) {
        values.push({"app_id":param});
        values.push({"appmsgid":param});
    }

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/singlesend",
        headers :headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function msgGetNewMessageNum(token, lastMessageId){
    var headers = [];
    var values = [];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/getnewmsgnum?f=json&t=ajax-getmsgnum&lastmsgid=" + lastMessageId + "&token=" + token + "&lang=zh_CN",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function msgBroadcast(token, type, groupId, param, code,operation_seq,list){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/masssendpage?t=mass/send&token=" + token + "&lang=zh_CN"},
                   {"X-Requested-With":"XMLHttpRequest"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"random":"0.0462703350931406"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"imgcode":""},
                  {"city":""},
                  {"province":""},
                  {"country":""},
                  {"synctxweibo":"0"},
                  {"cardlimit":"1"},
                  {"groupid":groupId + ""},
                  {"sex":"0"},
                  {"operation_seq":operation_seq + ""},
                  {"direct_send":"1"},
                  {"type":type + ""}];

    if (code != null && code.length > 0) {
        values.push({"code":code});
    }

    if(list != null && list.length > 0){
        values.push({"reprint_confirm": "1"});
        values.push({"list":list});
    }

    if (type == 1) {
        values.push({"content":param + ""});
    } else if (type == 2 || type == 3) {
        values.push({"fileid":param + ""});
    } else if (type == 10) {
        values.push({"appmsgid":param + ""});
    }

    var jsonData = {
        url :"https://mp.weixin.qq.com/cgi-bin/masssend",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function msgUploadResource(token, ticket, ticket_id, type){

    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/filepage?type="+ type +"&begin=0&count=100000&t=media/list&token=" + token+ "&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [];
    var filename = "";
    if(type == 3){
        filename = "voice" + new Date().valueOf() + ".mp3";
    }else if(type == 2){
        filename = "image" + new Date().valueOf() + ".png";
    }

//    var formData = "name=\"file\"; folder=\"/cgi-bin/uploads\"; filename=\"" + filename + "\"";
     var formData = {"name":"file","folder":"/cgi-bin/uploads"};
    var jsonData  = {
        url:"https://mp.weixin.qq.com/cgi-bin/filetransfer?action=upload_material&writetype=doublewrite&groupid=1&ticket=" + ticket + "&f=json&token=" + token + "&ticket_id=" + ticket_id + "&lang=zh_cn",
        headers:headers,
        values:values
    };
    jsonData.formData = formData;
    return JSON.stringify(jsonData);
}


function msgGetTicket(token){
    var headers = [{"Accept":"*/*"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/masssendpage?t=mass/send&token=" + token + "&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [{"token":token},
                  {"lang":"zh_CN"},
                  {"random":"0.0462703350931406"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"action":"get_ticket"},
                  {"1":"1"}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/misc/safeassistant",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function msgCheckQrCode(token,uuid,timeStamp){
    var url = "https://mp.weixin.qq.com/safe/safeuuid";
    if(token != null && token.length != 0){
        url += "?timespam=" + timeStamp + "&token=" + token + "&lang=zh_CN";
    }

//    var headers = [{"Accept":"*/*"},
//                   {"Accept-Encoding":"gzip,deflate,sdch"},
//                   {"Accept-Language":"zh-CN,zh;q=0.8"},
//                   {"Host":"mp.weixin.qq.com"},
//                   {"Origin":"mp.weixin.qq.com"},
//                   {"Connection":"keep-alive"},
//                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
//                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var headers = [];
    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"uuid":uuid + ""},
                  {"type":"json"},
                  {"action":"json"}];

    var jsonData = {
        url:url,
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);}

function msgGetMasssendpage(token){
    var headers = [];
    var values = [];
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/masssendpage?t=mass/send&token="+token+"&lang=zh_CN&f=json",
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}

function msgMasssendCopyright(m, k, h, i) {
	var j = [{
		"Accept": "*/*"
	}, {
		"Accept-Encoding": "gzip,deflate,sdch"
	}, {
		"Accept-Language": "zh-CN,zh;q=0.8"
	}, {
		"Connection": "keep-alive"
	}, {
		"Cache-Control": "max-age=0"
	}, {
		"Host": "mp.weixin.qq.com"
	}, {
		"Origin": "https://mp.weixin.qq.com"
	}, {
		"User-Agent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"
	},{"Referer":"https://mp.weixin.qq.com/cgi-bin/masssendpage?t=mass/send&token="+m+"&lang=zh_CN"
	}];
	var n = [{
		"lang": "zh_CN"
	}, {
		"random": "0.21970548620447516"
	}, {
		"f": "json"
	}, {
		"ajax": "1"
	}, {
		"token": m + ""
	}, {
		"appmsgid": h + ""
	}, {
		"type": k + ""
	}, {
		"first_check": i + ""
	}];
	var l = {
		url: "https://mp.weixin.qq.com/cgi-bin/masssend?action=get_appmsg_copyright_stat&token=" + m + "&lang=zh_CN",
		headers: j,
		values: n,
	};
	return JSON.stringify(l)
}
function pMsgGetRecent20Message(response){
    if(response == null){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var json = JSON.parse(response);
    if(json.base_resp.ret == 0){
        var messages = json.page_info.msg_items.msg_item;
        if(!(messages instanceof Array)){
           messages=[messages];
        }
        for(var i = 0;i<messages.length;i++){
            var multi_item = messages[i].multi_item;
            if(multi_item!=null){
                    if(multi_item.author!=undefined){
                         messages[i].multi_item = [multi_item];
                        }
                    }
}
        jsonData.messages = messages;
        jsonData.base_resp.ret = 0;

    }else{
        jsonData.base_resp.ret = -1509;
        jsonData.base_resp.msg = "获取消息失败";
    }
    return JSON.stringify(jsonData);
}


function pMsgReplyMessage(response)
{
    if(response == null || response.length == 0){
        return;
    }
    var jsonData = {};
    jsonData.base_resp = {};
    var responseJson = JSON.parse(response);
    if(responseJson.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
    }else if(responseJson.base_resp == 10700){
        jsonData.base_resp.ret = -1500;
        jsonData.base_resp.msg = "回复失败！对方已经对您取消关注！";
    }else if(responseJson.base_resp.ret == 10703){
        jsonData.base_resp.ret = -1502;
        jsonData.base_resp.msg = "回复失败！对方已经对你设置拒收消息！";
    }else if(responseJson.base_resp.ret == 10706){
        jsonData.base_resp.ret = -1503;
        jsonData.base_resp.msg = "48小时内当前用户与你没有互动，不能发消息给对方！";
    }else{
        jsonData.base_resp.ret = -1504;
        jsonData.base_resp.msg = "回复失败！回复频率过快，请稍后在试！";
    }
    return JSON.stringify(jsonData);
}

function pMsgUploadData(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};
    var responseJson = JSON.parse(response);
    if(responseJson.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
        jsonData.file_id = responseJson.content;
        jsonData.cdn_url = responseJson.cdn_url;
    }else{
        jsonData.base_resp.ret = -1501;
        jsonData.base_resp.msg = "上传文件失败！";
    }
    return JSON.stringify(jsonData);
}
//json
function pMsgGetMessage(response){
    if(response == null || response.length == 0){
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};

    try{
        var json = JSON.parse(response);
        if (json.base_resp.ret == 0) {
            var msg_items = json.msg_items;
            msg_items = msg_items + "";
//            msg_items = privateSpecialCharacter(msg_items);
            var msg_items_json = JSON.parse(msg_items);

            jsonData.base_resp.ret = 0;
            jsonData.messages = msg_items_json.msg_item;
            jsonData.lastMessageId = json.latest_msg_id;
        }else{
            jsonData.base_resp.ret = -1505;
            jsonData.base_resp.msg = "获取消息列表失败！";
        }

    }catch(err){
        jsonData.base_resp.ret = -1505;
        jsonData.base_resp.msg = "获取消息列表失败！";
    }
    return JSON.stringify(jsonData);
}
function pMsgGetNewMessageNum(response){
	if(response == null || response.length == 0){
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};
	var messageNumJson = JSON.parse(response);
	if(messageNumJson.base_resp.ret == 0){
		jsonData.base_resp.ret = 0;
		jsonData.newTotalMsgCount = messageNumJson.newTotalMsgCount;
	}else{
		jsonData.base_resp.ret = - 1506;
		jsonData.base_resp.msg = "获取新消息数失败！";
	}
	return JSON.stringify(jsonData);
}

function privateParseMessage(messages){
	var retMessages = [];
	try{
		for(var i = 0;i < messages.length ;i++){
			var message = {};
			var messageJson = messages[i];
			message.id = messageJson.id;
			message.type = messageJson.type;
			message.fakeid = messageJson.fakeid;
			message.nick_name = messageJson.nick_name;
            message.remark_name = messageJson.remark_name;
			message.date_time = messageJson.date_time;
			message.content = messageJson.content;
			message.play_length = messageJson.play_length;

			var multi_itemList = {};
            message.multi_item = multi_itemList;

			var multi_itemListJson = messageJson.multi_item;

			for(var j = 0 ; j < multi_itemListJson.length ; j ++){
				var multi_item = {};
				var multi_itemJson = multi_itemListJson[j];
				multi_item.seq = multi_itemJson.seq;
				multi_item.title = multi_itemJson.title;
				multi_item.digest = multi_itemJson.digest;
				multi_item.cover = multi_itemJson.cover;
				multi_item.contentUrl = multi_itemJson.contentUrl;

				mulit_itemList.push(multi_item);
			}
            retMessages.push(message);
		}
	}catch(err){

	}
	return retMessages;
}

function pMsgGetTicket(response){
    var jsonData = {};
    jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);

    var errCode = jsonObject.base_resp.ret;
    if(errCode == 0){
        jsonData.base_resp.ret = 0;
        jsonData.ticket = jsonObject.ticket;
        jsonData.operation_seq = jsonObject.operation_seq;
    }else{
        jsonData.base_resp.ret = -1010;
        jsonData.base_resp.msg = "获取ticket失败";
    }
    return JSON.stringify(jsonData);
}

function pMsgCheckQrCode(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);

    if(jsonObject.errcode == 405){
        jsonData.base_resp.ret = 0;
        jsonData.code = jsonObject.code;
    }else{
        jsonData.base_resp.ret = -1008;
        jsonData.base_resp.msg = "您还未扫描二维码！请先扫描后点击确认！";
    }

    return JSON.stringify(jsonData);
}

function pMsgBroadcast(response){
    if(response == null || response.length == 0){
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};
    var jsonRes = JSON.parse(response);
    if(jsonRes.base_resp.ret == 0){
        jsonData.base_resp.ret = 0;
    }else{
        jsonData.base_resp.ret = -1508;
        jsonData.base_resp.msg = "群发失败！";
    }
    return JSON.stringify(jsonData);
}

function pMsgGetMasssendpage(response){
    if(response == null || response.length == 0){
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};

    try{
        var json = JSON.parse(response);
        if(json.base_resp.ret == 0){
            var mass_send_left = json.user_info.mass_send_left;
            var gray_status = json.gray_status;
            var group = JSON.parse(json.contact_group_list).groups;
            var strategy_info = JSON.parse(json.strategy_info);
            var operation_seq = json.operation_seq;
            var third_status = "";
            var bind_mail = json.bind_mail;

			strategy_info.ticket = json.media_ticket;

           jsonData.base_resp.ret = 0;
           jsonData.mass_send_left = mass_send_left;
           jsonData.gray_status = gray_status;
           jsonData.group = group;
           jsonData.strategy_status = strategy_info;
           jsonData.operation_seq = operation_seq;
           jsonData.third_status = third_status;
           jsonData.bind_mail = bind_mail;
           jsonData.ticket = json.base_resp.media_ticket;
        }else{
            jsonData.base_resp.ret = -1507;
            jsonData.base_resp.msg = "获取群发信息失败1！";
        }
    }catch(err){
        jsonData.base_resp.ret = -1507;
        jsonData.base_resp.msg = "获取群发信息失败2！";
    }
    return JSON.stringify(jsonData);
}

function privateGetTicket(response){
    try{
        var ticketStr = response.substring(response.indexOf("ticket:\"") + "ticket:\"".length);
        ticketStr = ticketStr.substring(0,ticketStr.indexOf("\","));
        return ticketStr;
    }catch(err){
        return "";
    }
}
function pMsgMasssendCopyright(response) {
    var jsonData = {};
    jsonData.base_resp = {};
    var json = JSON.parse(response);
    if (json.base_resp.ret == 154011 || json.base_resp.ret == 154009) {
        jsonData.base_resp.ret = 0;
    } else if (json.base_resp.ret == 154008) {
        var list = JSON.parse(json.list);
        jsonData.base_resp.ret = -1515;
        jsonData.data = list;
    }
    return JSON.stringify(jsonData);
}


function summaryGetAppidAndToken(token){
    var headers = [{"Accept":"text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/home?t=home/index&lang=zh_CN&token=" + token},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

    var values = [];

    var jsonData = {
        url:"http://mp.weixin.qq.com/misc/pluginloginpage?action=stat_user_summary&pluginid=luopan&t=statistics/index&token=" + token + "&lang=zh_CN&f=json",
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}

/*
 * 用户增长 关键指标详解
 *
 * 新增人数 index=NewUser 取消关注人数 index=CancelUser 净增人数 index=NetUser 累计人数
 * index=CumulateUser
 * source_list -1(全部) 35(搜索公众号名称) 3(搜索微信号) 43(图文消息右上角菜单) 17(名片分享) 0(扫二维码及其他)
 */
function summaryCtrUserSummaryGetTrendChartData(index, source_list, appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"index":index + ""},
                  {"start_date":start_date + ""},
                  {"end_date":end_date + ""},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid + ""},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token + ""},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype + ""},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];

    if(index == "NewUser"){
        values.push({"source_list":source_list + ""});
    }

//    var values = [];

    var jsonData = {
        url:"http://mta.qq.com/mta/wechat/ctr_user_summary/get_trend_chart_data",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

// 用户分析 用户增长 详细数据
function summaryCtrUserSummaryGetTableData(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];

    var jsonData = {
		url : "http://mta.qq.com/mta/wechat/ctr_user_summary/get_table_data",
		headers : headers,
		values : values
	};

    return JSON.stringify(jsonData);
}

// 用户分析 用户增长 昨日关键数据
function summaryCtrUserSummaryGetKeyIndexDataAndChart(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_user_summary/get_key_index_data_and_chart",
    headers:headers,
    values:values
    };
    return JSON.stringify(jsonData);
}

// 用户分析 用户属性(性别分布，语言分布，终端分布)
function summaryCtrUserAttrGetChartData(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    // 有可能传两遍
    var jsonData = {
        url:"http://mta.qq.com/mta/wechat/ctr_user_attr/get_key_index_data_and_chart",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

// 用户分析 用户属性 城市分布
function summaryCtrUserAttrGetCityData(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_user_attr/get_city_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 用户分析 用户属性 省份分布
function summaryCtrUserAttrGetProviceDistributeData(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_user_attr/get_provice_distribute_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 用户分析 用户属性 设备分布
function summaryCtrUserAttrGetDeviceData(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_user_attr/get_device_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 用户分析 用户属性 属性分析表
// index 1(性别) 2(语言) 9(省份) 0(城市) 3(终端) 4(机型)
function summaryCtrUserAttrGetTableData(index, appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"index":index + ""},
                  {"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
        url:"http://mta.qq.com/mta/wechat/ctr_user_attr/get_table_data",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

/***********************************************************************/

// 图文分析 图文群发 数据详解 所有图文
function summaryCtrArticleDetailGetList(appIdToken , page, start_date, end_date){
    var headers = [];
    var values = [{"sort":"RefDate desc"},
                  {"keyword":""},
                  {"page":page + ""},
                  {"start_date":start_date + ""},
                  {"end_date":end_date + ""},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"source_show":"35,3,43,17,0"},
                  {"appid":appIdToken.appid + ""},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token + ""},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype + ""},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_article_detail/get_list",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 图文分析 图文统计 昨日关键指标
function summaryCtrArticleAnalyseGetKeyIndexDataAndChart(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"source_list":"-1"},
                  {"source_show":"0,1,2,3,4"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];


    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_article_analyse/get_key_index_data_and_chart",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 图文分析 图文统计 详细数据
function summaryCtrArticleAnalyseGetTableData(appIdToken, start_date, end_date){
    var headers = [];
    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"source_list":"-1"},
                  {"source_show":"0,1,2,3,4"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];

    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_article_analyse/get_table_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 图文分析 图文页阅读
// source_list -1(全部) 0(会话) 1(好友转发) 2(朋友圈) 3(腾讯微博) 4(消息历史页) 5(其他)
// index = IntPageReadUser,IntPageReadCount(图文页阅读人数,图文页阅读次数) OriPageReadUser,OriPageReadCount(原文页阅读人数,原文页阅读次数) ShareUser(分享人数) ShareCount(分享次数) AddToFavUser(微信收藏)
function summaryCtrArticleAnalyseGetTrendChartData(appIdToken, index, source_list, start_date, end_date){
    var headers = [];

    var values = [{"index":index},
                  {"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];

    if(index == "IntPageReadUser,IntPageReadCount"){
        values.push({"source_list":source_list});
    }

    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_article_analyse/get_trend_chart_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}



/*******************************************/
//消息分析 昨日关键指标
function summaryCtrMessageGetKeyIndexDataAndChart(appIdToken, start_date, end_date){
    var headers = [];

    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_message/get_key_index_data_and_chart",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 消息分析 关键指标详解
// index MsgUser(消息发送人数) MsgCount(消息发送次数) MsgPerUser(人均发送次数)
function summaryCtrMessageGetChartData(appIdToken, index,start_date, end_date){
    var headers = [];

    var values = [{"index":index},
                  {"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];

    if(index == "IntPageReadUser,IntPageReadCount"){
        values.push({"source_list":source_list});
    }

    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_message/get_chart_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 消息分析 消息发送次数分布图
function summaryCtrMessageGetDistributeData(appIdToken, start_date, end_date){
    var headers = [];

    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];
    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_message/get_distribute_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 消息分析 详细数据
function summaryCtrMessageGetTableData(appIdToken, start_date, end_date){
    var headers = [];

    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];

    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_message/get_table_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

// 消息分析 消息关键字
// iscustom -1(全部) 0(非自定义关键词) 1(自定义关键词)
function summaryCtrKeywordGetTableData(iscustom,appIdToken, start_date, end_date){
    var headers = [];

    var values = [{"start_date":start_date},
                  {"end_date":end_date},
                  {"need_compare":"0"},
                  {"start_compare_date":""},
                  {"end_compare_date":""},
                  {"app_id":""},
                  {"appid":appIdToken.appid},
                  {"pluginid":"luopan"},
                  {"token":appIdToken.token},
                  {"from":""},
                  {"src":"false"},
                  {"devtype":appIdToken.devtype},
                  {"time_type":"day"},
                  {"rnd":new Date().valueOf() + ""},
                  {"ajax":"1"}];

    if(iscustom != -1){
        values.push(iscustom);
    }

    var jsonData = {
    url:"http://mta.qq.com/mta/wechat/ctr_keyword/get_table_data",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function pSummaryGetAppidAndToken(response) {
	if (privateIsNull(response)) {
		return null;
	}
	var jsonData = {};
	jsonData.base_resp = {};

	try {
        var json = JSON.parse(response);
        jsonData.json = json;
        if (json.base_resp.ret >= 0) {
            var appid = json.plugin_login_info.appid;
            var pluginToken = json.plugin_login_info.plugin_token;
            var devtype = 3 + "";

            var appId = {
                appid:appid,
                token:pluginToken,
                devtype:devtype
            };

            jsonData.base_resp.ret = 0;
            jsonData.appId = appId;
        }else{
            jsonData.base_resp.ret = -1600;
            jsonData.base_resp.msg = "获取统计失败";
        }
    } catch (err) {
		jsonData.base_resp.ret = -1600;
		jsonData.base_resp.msg = "获取统计失败";
	}
	return JSON.stringify(jsonData);
}


/** ********************************SummaryCtrUserSummaryGetTrendChartData******************************************* */

function pSummaryCtrUserSummaryGetTrendChartDataNewUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataCancelUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNetUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataCumulateUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromPassPort(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromName(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromMenu(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromCard(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromQrCode(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}


function privatePSummaryCtrUserSummaryGetTrendChartData(response){
	if (privateIsNull(response)) {
		return null;
	}
	var jsonData = {};
	jsonData.base_resp = {};
	try {
		response = response.replace(/null/g, "0");
		var retJson = JSON.parse(response);
		jsonData.base_resp.ret = 0;
		jsonData.data = retJson.series;
	} catch (err) {
		jsonData.base_resp.ret = -1602;
		jsonData.base_resp.msg = "解析数据失败";
	}
	return JSON.stringify(jsonData);
}

/** ********************************SummaryCtrUserSummaryGetTableData******************************************* */

function pSummaryCtrUserSummaryGetTableData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserSummaryGetKeyIndexDataAndChart******************************************* */

function pSummaryCtrUserSummaryGetKeyIndexDataAndChart(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetChartData******************************************* */

function pSummaryCtrUserAttrGetChartData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetCityData******************************************* */
function pSummaryCtrUserAttrGetCityData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetProviceDistributeData******************************************* */
function pSummaryCtrUserAttrGetProviceDistributeData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetDeviceData******************************************* */
function pSummaryCtrUserAttrGetDeviceData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetTableData******************************************* */
// index = 0
function pSummaryCtrUserAttrGetTableDataCity(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 1
function pSummaryCtrUserAttrGetTableDataSex(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 2
function pSummaryCtrUserAttrGetTableDataLanguage(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 3
function pSummaryCtrUserAttrGetTableDataDevice(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 4
function pSummaryCtrUserAttrGetTableDataMobileModel(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 9
function pSummaryCtrUserAttrGetTableDataProvince(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}

function privatePSummaryCtrUserAttrGetTableData(response){
	if(privateIsNull(response)){
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};
	try {
		response = response.replace(/null/g, "0");
		var retJson = JSON.parse(response);
		jsonData.base_resp.ret = 0;
		jsonData.data = retJson.data;
	} catch (err) {
		jsonData.base_resp.ret = -1602;
		jsonData.base_resp.msg = "解析数据失败";
	}
	return JSON.stringify(jsonData);
}
/** ********************************summaryCtrArticleDetailGetList******************************************* */
function pSummaryCtrArticleDetailGetList(response) {
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};

	var retJson = JSON.parse(response);
    try{
            jsonData.base_resp.ret = 0;
            var data = retJson.data;
            var retData = [];
            for(var i = 0;i < data.length;i++){
                var dataIitm = {};
                dataIitm.id = data[i].id;
                dataIitm.title = data[i].title;
                dataIitm.time = data[i].time;
                dataIitm.index = data[i].index;
                retData.push(dataIitm);
            }
            jsonData.data = retData;
            jsonData.hasMore = retJson.hasMore;
    }catch(err){
        jsonData.base_resp.ret = -1602;
        jsonData.base_resp.msg = "解析数据失败";
    }

	return JSON.stringify(jsonData);
}

/** ********************************summaryCtrArticleDetailGetList******************************************* */
function pSummaryCtrArticleAnalyseGetKeyIndexDataAndChart(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrArticleDetailGetList******************************************* */
function pSummaryCtrArticleAnalyseGetTableData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrArticleAnalyseGetTrendChartData******************************************* */
// index = IntPageReadUser,IntPageReadCount source_list=-1
function pSummaryCtrArticleAnalyseGetTrendChartData_1(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=0
function pSummaryCtrArticleAnalyseGetTrendChartData0(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=1
function pSummaryCtrArticleAnalyseGetTrendChartData1(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=2
function pSummaryCtrArticleAnalyseGetTrendChartData2(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=3
function pSummaryCtrArticleAnalyseGetTrendChartData3(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=4
function pSummaryCtrArticleAnalyseGetTrendChartData4(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=5
function pSummaryCtrArticleAnalyseGetTrendChartData5(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

// OriPageReadUser,OriPageReadCount(原文页阅读人数,原文页阅读次数)
function pSummaryCtrArticleAnalyseGetTrendChartDataOri(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

// ShareUser(分享人数) ShareCount(分享次数)
function pSummaryCtrArticleAnalyseGetTrendChartDataShare(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

// AddToFavUser(微信收藏)
function pSummaryCtrArticleAnalyseGetTrendChartDataAddToFav(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

function privatePSummaryCtrArticleAnalyseGetTrendChartData(response){
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};

	var retJson = JSON.parse(response);
	try{
        jsonData.base_resp.ret = 0;
		var data = [];

        var retData = retJson.series;
        for(var i = 0; i < retData.length ;i++){
            data.push(retData[i]);
        }
        jsonData.data = data;
	}catch(err){
		jsonData.base_resp.ret = 1602;
		jsonData.base_resp.msg = "解析数据失败";
	}

	return JSON.stringify(jsonData);
}

/** ********************************summaryCtrMessageGetKeyIndexDataAndChart******************************************* */
function pSummaryCtrMessageGetKeyIndexDataAndChart(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrMessageGetChartData******************************************* */
// index MsgUser(消息发送人数)
function pSummaryCtrMessageGetChartDataMsgUser(response) {
	return privatePSummaryCtrMessageGetChartData(response);
}

// index MsgCount(消息发送次数)
function pSummaryCtrMessageGetChartDataMsgCount(response) {
	return privatePSummaryCtrMessageGetChartData(response);
}

// index MsgPerUser(人均发送次数)
function pSummaryCtrMessageGetChartDataMsgPerUser(response) {
	return privatePSummaryCtrMessageGetChartData(response);
}

function privatePSummaryCtrMessageGetChartData(response){
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};
    var retJson = JSON.parse(response);
    try{
        jsonData.base_resp.ret = 0;
        jsonData.data = retJson.series;
    }catch(err){
        jsonData.base_resp.ret = 1602;
        jsonData.base_resp.msg = "解析数据失败";
    }

	return JSON.stringify(jsonData);
}

/** ********************************summaryCtrMessageGetDistributeData******************************************* */
function pSummaryCtrMessageGetDistributeData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrMessageGetTableData******************************************* */
function pSummaryCtrMessageGetTableData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrKeywordGetTableData******************************************* */
// iscustom -1(全部)
function pSummaryCtrKeywordGetTableDataAll(response) {
	return privatePSummaryBaseResponse(response);
}
// iscustom 0(非自定义关键词)
function pSummaryCtrKeywordGetTableDataUnCustom(response) {
	return privatePSummaryBaseResponse(response);
}
// iscustom 1(自定义关键词)
function pSummaryCtrKeywordGetTableDataCustom(response) {
	return privatePSummaryBaseResponse(response);
}

function privatePSummaryCtrKeywordGetTableData(response){
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};

	var retJson = JSON.parse(response);
	if (retJson.hasMore) {
		jsonData.base_resp.ret = 0;
		jsonData.data = retJson.data;
	} else {
		jsonData.base_resp.ret = 1601;
		jsonData.base_resp.msg = "数据加载完毕！";
	}

	return JSON.stringify(jsonData);
}

/** ********************************private******************************************* */

function privatePSummaryBaseResponse(response) {
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};
	try {
		var data = JSON.parse(response);
		jsonData.data = data;
		jsonData.base_resp.ret = 0;
	} catch (err) {
		jsonData.base_resp.ret = -1600;
		jsonData.base_resp.msg = "获取统计失败";
	}
	return JSON.stringify(jsonData);
}

function privateIsNull(response) {
	if (response == null || response.length == 0) {
		return true;
	}
	return false;
}

function pSummaryGetAppidAndToken(response) {
	if (privateIsNull(response)) {
		return null;
	}
	var jsonData = {};
	jsonData.base_resp = {};

	try {
        var json = JSON.parse(response);
        jsonData.json = json;
        if (json.base_resp.ret >= 0) {
            var appid = json.plugin_login_info.appid;
            var pluginToken = json.plugin_login_info.plugin_token;
            var devtype = 3 + "";

            var appId = {
                appid:appid,
                token:pluginToken,
                devtype:devtype
            };

            jsonData.base_resp.ret = 0;
            jsonData.appId = appId;
        }else{
            jsonData.base_resp.ret = -1600;
            jsonData.base_resp.msg = "获取统计失败";
        }
    } catch (err) {
		jsonData.base_resp.ret = -1600;
		jsonData.base_resp.msg = "获取统计失败";
	}
	return JSON.stringify(jsonData);
}


/** ********************************SummaryCtrUserSummaryGetTrendChartData******************************************* */

function pSummaryCtrUserSummaryGetTrendChartDataNewUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataCancelUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNetUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataCumulateUser(response) {
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromPassPort(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromName(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromMenu(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromCard(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}

function pSummaryCtrUserSummaryGetTrendChartDataNewUserFromQrCode(response){
	return privatePSummaryCtrUserSummaryGetTrendChartData(response);
}


function privatePSummaryCtrUserSummaryGetTrendChartData(response){
	if (privateIsNull(response)) {
		return null;
	}
	var jsonData = {};
	jsonData.base_resp = {};
	try {
		response = response.replace(/null/g, "0");
		var retJson = JSON.parse(response);
		jsonData.base_resp.ret = 0;
		jsonData.data = retJson.series;
	} catch (err) {
		jsonData.base_resp.ret = -1602;
		jsonData.base_resp.msg = "解析数据失败";
	}
	return JSON.stringify(jsonData);
}

/** ********************************SummaryCtrUserSummaryGetTableData******************************************* */

function pSummaryCtrUserSummaryGetTableData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserSummaryGetKeyIndexDataAndChart******************************************* */

function pSummaryCtrUserSummaryGetKeyIndexDataAndChart(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetChartData******************************************* */

function pSummaryCtrUserAttrGetChartData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetCityData******************************************* */
function pSummaryCtrUserAttrGetCityData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetProviceDistributeData******************************************* */
function pSummaryCtrUserAttrGetProviceDistributeData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetDeviceData******************************************* */
function pSummaryCtrUserAttrGetDeviceData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrUserAttrGetTableData******************************************* */
// index = 0
function pSummaryCtrUserAttrGetTableDataCity(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 1
function pSummaryCtrUserAttrGetTableDataSex(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 2
function pSummaryCtrUserAttrGetTableDataLanguage(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 3
function pSummaryCtrUserAttrGetTableDataDevice(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 4
function pSummaryCtrUserAttrGetTableDataMobileModel(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}
// index = 9
function pSummaryCtrUserAttrGetTableDataProvince(response) {
	return privatePSummaryCtrUserAttrGetTableData(response);
}

function privatePSummaryCtrUserAttrGetTableData(response){
	if(privateIsNull(response)){
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};
	try {
		response = response.replace(/null/g, "0");
		var retJson = JSON.parse(response);
		jsonData.base_resp.ret = 0;
		jsonData.data = retJson.data;
	} catch (err) {
		jsonData.base_resp.ret = -1602;
		jsonData.base_resp.msg = "解析数据失败";
	}
	return JSON.stringify(jsonData);
}
/** ********************************summaryCtrArticleDetailGetList******************************************* */
function pSummaryCtrArticleDetailGetList(response) {
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};

	var retJson = JSON.parse(response);
    try{
            jsonData.base_resp.ret = 0;
            var data = retJson.data;
            var retData = [];
            for(var i = 0;i < data.length;i++){
                var dataIitm = {};
                dataIitm.id = data[i].id;
                dataIitm.title = data[i].title;
                dataIitm.time = data[i].time;
                dataIitm.index = data[i].index;
                retData.push(dataIitm);
            }
            jsonData.data = retData;
            jsonData.hasMore = retJson.hasMore;
    }catch(err){
        jsonData.base_resp.ret = -1602;
        jsonData.base_resp.msg = "解析数据失败";
    }

	return JSON.stringify(jsonData);
}

/** ********************************summaryCtrArticleDetailGetList******************************************* */
function pSummaryCtrArticleAnalyseGetKeyIndexDataAndChart(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrArticleDetailGetList******************************************* */
function pSummaryCtrArticleAnalyseGetTableData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrArticleAnalyseGetTrendChartData******************************************* */
// index = IntPageReadUser,IntPageReadCount source_list=-1
function pSummaryCtrArticleAnalyseGetTrendChartData_1(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=0
function pSummaryCtrArticleAnalyseGetTrendChartData0(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=1
function pSummaryCtrArticleAnalyseGetTrendChartData1(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=2
function pSummaryCtrArticleAnalyseGetTrendChartData2(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=3
function pSummaryCtrArticleAnalyseGetTrendChartData3(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=4
function pSummaryCtrArticleAnalyseGetTrendChartData4(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}
// index = IntPageReadUser,IntPageReadCount source_list=5
function pSummaryCtrArticleAnalyseGetTrendChartData5(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

// OriPageReadUser,OriPageReadCount(原文页阅读人数,原文页阅读次数)
function pSummaryCtrArticleAnalyseGetTrendChartDataOri(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

// ShareUser(分享人数) ShareCount(分享次数)
function pSummaryCtrArticleAnalyseGetTrendChartDataShare(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

// AddToFavUser(微信收藏)
function pSummaryCtrArticleAnalyseGetTrendChartDataAddToFav(response) {
	return privatePSummaryCtrArticleAnalyseGetTrendChartData(response);
}

function privatePSummaryCtrArticleAnalyseGetTrendChartData(response){
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};

	var retJson = JSON.parse(response);
	try{
        jsonData.base_resp.ret = 0;
		var data = [];

        var retData = retJson.series;
        for(var i = 0; i < retData.length ;i++){
            data.push(retData[i]);
        }
        jsonData.data = data;
	}catch(err){
		jsonData.base_resp.ret = 1602;
		jsonData.base_resp.msg = "解析数据失败";
	}

	return JSON.stringify(jsonData);
}

/** ********************************summaryCtrMessageGetKeyIndexDataAndChart******************************************* */
function pSummaryCtrMessageGetKeyIndexDataAndChart(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrMessageGetChartData******************************************* */
// index MsgUser(消息发送人数)
function pSummaryCtrMessageGetChartDataMsgUser(response) {
	return privatePSummaryCtrMessageGetChartData(response);
}

// index MsgCount(消息发送次数)
function pSummaryCtrMessageGetChartDataMsgCount(response) {
	return privatePSummaryCtrMessageGetChartData(response);
}

// index MsgPerUser(人均发送次数)
function pSummaryCtrMessageGetChartDataMsgPerUser(response) {
	return privatePSummaryCtrMessageGetChartData(response);
}

function privatePSummaryCtrMessageGetChartData(response){
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};
    var retJson = JSON.parse(response);
    try{
        jsonData.base_resp.ret = 0;
        jsonData.data = retJson.series;
    }catch(err){
        jsonData.base_resp.ret = 1602;
        jsonData.base_resp.msg = "解析数据失败";
    }

	return JSON.stringify(jsonData);
}

/** ********************************summaryCtrMessageGetDistributeData******************************************* */
function pSummaryCtrMessageGetDistributeData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrMessageGetTableData******************************************* */
function pSummaryCtrMessageGetTableData(response) {
	return privatePSummaryBaseResponse(response);
}

/** ********************************summaryCtrKeywordGetTableData******************************************* */
// iscustom -1(全部)
function pSummaryCtrKeywordGetTableDataAll(response) {
	return privatePSummaryBaseResponse(response);
}
// iscustom 0(非自定义关键词)
function pSummaryCtrKeywordGetTableDataUnCustom(response) {
	return privatePSummaryBaseResponse(response);
}
// iscustom 1(自定义关键词)
function pSummaryCtrKeywordGetTableDataCustom(response) {
	return privatePSummaryBaseResponse(response);
}

function privatePSummaryCtrKeywordGetTableData(response){
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};

	var retJson = JSON.parse(response);
	if (retJson.hasMore) {
		jsonData.base_resp.ret = 0;
		jsonData.data = retJson.data;
	} else {
		jsonData.base_resp.ret = 1601;
		jsonData.base_resp.msg = "数据加载完毕！";
	}

	return JSON.stringify(jsonData);
}


function privatePSummaryBaseResponse(response) {
	if (privateIsNull(response)) {
		return null;
	}

	var jsonData = {};
	jsonData.base_resp = {};
	try {
		var data = JSON.parse(response);
		jsonData.data = data;
		jsonData.base_resp.ret = 0;
	} catch (err) {
		jsonData.base_resp.ret = -1600;
		jsonData.base_resp.msg = "获取统计失败";
	}
	return JSON.stringify(jsonData);
}

function privateIsNull(response) {
	if (response == null || response.length == 0) {
		return true;
	}
	return false;
}
function userLogin(pass_port,pass_word,image_code){
	var headers = [
            {"Referer":"https://mp.weixin.qq.com/cgi-bin/loginpage?t=wxm2-login&lang=zh_CN"},
            {"Origin":"https://mp.weixin.qq.com"},
            {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
            {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
            {"X-Requested-With":"XMLHttpRequest"}
            ];

        var values = [
            {"f":"json"},
            {"imgcode":image_code},
            {"pwd":pass_word},
            {"username":pass_port}];

        var jsonData = {
            url:"https://mp.weixin.qq.com/cgi-bin/bizlogin?action=startlogin",
            headers:headers,
            values:values
        };

        return JSON.stringify(jsonData);
}

function nUserLogin(pass_port,pass_word,image_code){
	var headers = [
        {"Referer":"https://mp.weixin.qq.com/cgi-bin/loginpage?t=wxm2-login&lang=zh_CN"},
        {"Origin":"https://mp.weixin.qq.com"},
        {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
        {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
        {"X-Requested-With":"XMLHttpRequest"}];

    var values = [
        {"f":"json"},
        {"imgcode":image_code},
        {"pwd":pass_word},
        {"username":pass_port}];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/bizlogin?action=startlogin",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

function userGetImgCode(username){
    var headers = [];
    var values = [];
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/verifycode?username=" + username + "&r=" + new Date().getTime(),
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}

function userGetQrCode(ticket,uuid,type,operation_seq){
    var headers = [];

    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/safe/safeqrcode?ticket=" + ticket + "&uuid=" + uuid + "&action=check&type=" + type + "&auth=ticket&msgid=" + operation_seq,
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}
function nUserGetQrCode(rd){
    var headers = [];

    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/loginqrcode?action=getqrcode&param=4300&rd="+rd,
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}
function userSendSecuresmsverify(loginSmsCode){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection": "keep-alive"},
                   {"Content-Type": "application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Origin": "https://mp.weixin.qq.com"},
                   {"Referer": "https://mp.weixin.qq.com/cgi-bin/readtemplate?t=user/validate_phone_tmpl&lang=zh_CN&type=&protected=1&phone=186******86"},
                   {"User-Agent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With": "XMLHttpRequest"}];


    var values = [];
    try{
        if(loginSmsCode == null){
            values.push({"act": "sendsmscode"});
        }else
        {
            values.push({"act": "verifysmscode"});
            values.push({"login_sms_code":loginSmsCode});
        }

    }catch(err){
        values = [];
        values.push({"act": "sendsmscode"});
    }
    values.push({"lang": "zh_CN"});
    values.push({"random": "0.21970548620447516"});
    values.push({"f": "json"});
    values.push({"ajax": "1"});

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/securesmsverify",
        headers:headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

function userGetUUID(ticket){
//    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
//                   {"Accept-Encoding":"gzip,deflate,sdch"},
//                   {"Accept-Language":"zh-CN,zh;q=0.8"},
//                   {"Connection":"keep-alive"},
//                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
//                   {"Host":"mp.weixin.qq.com"},
//                   {"Origin":"mp.weixin.qq.com"},
//                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/35.0.1916.153 Safari/537.36"},
//                   {"X-Requested-With":"XMLHttpRequest"}];
var headers = [];
    var values = [{"1":"1"},
                  {"appid":"wx3a432d2dbe2442ce"},
                  {"scope":"snsapi_contact"},
                  {"state":"0"},
                  {"redirect_uri":"https://mp.weixin.qq.com"},
                  {"login_type":"safe_center"},
                  {"redirect_uri":"https://mp.weixin.qq.com"},
                  {"f":"json"},
                  {"token":""},
                  {"lang":"zh_CN"},
                  {"random":"0.699701951816678"},
                  {"ajax":"1"},
                  {"ticket":ticket}];
    var jsonData = {
        url:"https://mp.weixin.qq.com/safe/safeqrconnect",
        headers:headers,
        values:values
    };
    return  JSON.stringify(jsonData);
}
function userGetTicket(rd){

    var headers = [];

    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/loginqrcode?action=getqrcode&param=4300&rd="+rd,
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}

function userCheckQrCode(uuid,timeStamp,token){
 var url = "https://mp.weixin.qq.com/cgi-bin/loginqrcode?action=ask&token=&lang=zh_CN&token=&lang=zh_CN&f=json&ajax=1&random=0.2441336935139633";
         if(token != null && token.length != 0){
             url += "?timespam=" + timeStamp + "&token=" + token + "&lang=zh_CN";
         }
 //    var headers = [{"Accept":"*/*"},
 //                   {"Accept-Encoding":"gzip,deflate,sdch"},
 //                   {"Accept-Language":"zh-CN,zh;q=0.8"},
 //                   {"Host":"mp.weixin.qq.com"},
 //                   {"Origin":"mp.weixin.qq.com"},
 //                   {"Connection":"keep-alive"},
 //                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
 //                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

 var headers = [];
     var values = [{"lang":"zh_CN"},
                   {"random":"0.21970548620447516"},
                   {"f":"json"},
                   {"ajax":"1"},
                   {"token":""},
                   {"uuid":uuid},
                   {"type":"json"},
                   {"action":"json"}];
     var jsonData = {
         url:url,
         headers : headers,
         values:values
     };

     return JSON.stringify(jsonData);
}


function nUserCheckQrCode(uuid,timeStamp,token){
       var url = "https://mp.weixin.qq.com/cgi-bin/loginqrcode?action=ask&token=&lang=zh_CN&token=&lang=zh_CN&f=json&ajax=1&random=0.2441336935139633";
        if(token != null && token.length != 0){
            url += "?timespam=" + timeStamp + "&token=" + token + "&lang=zh_CN";
        }
//    var headers = [{"Accept":"*/*"},
//                   {"Accept-Encoding":"gzip,deflate,sdch"},
//                   {"Accept-Language":"zh-CN,zh;q=0.8"},
//                   {"Host":"mp.weixin.qq.com"},
//                   {"Origin":"mp.weixin.qq.com"},
//                   {"Connection":"keep-alive"},
//                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
//                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

var headers = [];
    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"uuid":uuid},
                  {"type":"json"},
                  {"action":"json"}];
    var jsonData = {
        url:url,
        headers : headers,
        values:values
    };

    return JSON.stringify(jsonData);
}

function userCheckQrCodeSecurewxverify(account,appticket,bindalias){
   var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                      {"Accept-Encoding":"gzip,deflate,sdch"},
                      {"Accept-Language":"zh-CN,zh;q=0.8"},
                      {"Connection":"keep-alive"},
                      {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                      {"Host":"mp.weixin.qq.com"},
                      {"Origin":"https://mp.weixin.qq.com"},
                      {"Referer":"https://mp.weixin.qq.com/cgi-bin/readtemplate?t=user/validate_wx_tmpl&lang=zh_CN&account="+account+"&appticket="+appticket+"&bindalias="+bindalias+"&wx_protect=1&grey=1"},
                      {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                      {"X-Requested-With":"XMLHttpRequest"}];

       var values = [{"lang":"zh_CN"},
                     {"random":"0.21970548620447516"},
                     {"f":"json"},
                     {"ajax":"1"},
                     {"token":""}];

       var jsonData = {
           url:"https://mp.weixin.qq.com/cgi-bin/bizlogin?action=login&token=&lang=zh_CN",
           headers:headers,
           values:values
       };

       return JSON.stringify(jsonData);
}


function userLogout(token){
    var headers = [];

    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/logout?t=wxm-logout&lang=zh_CN&token=" + token,
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}
function userCheckQrCodeSecurewxverifyOther(pass_port,code,operation_seq){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/readtemplate?t=user/validate_phone_tmpl&lang=zh_CN&type=&protected=1&phone=186******86"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"account":pass_port},
                  {"code":code},
                  {"operation_seq":operation_seq}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/securewxverify",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function userSafeassistantAdminAction1(uuid){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"action":"get_uuid"},
                  {"uuid":uuid},
                  {"auth":"ticket"}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/misc/safeassistant?1=1",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function userSafeassistantAdminAction2(msgid){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"type":"1"},
                  {"msgid":msgid},
                  {"auth":"ticket"}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/misc/safeassistant?action=admin_action",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}
function userDetailGetAppInfo(token){
    var headers = [];
    var values = [];

    var jsonData = {
    url:"https://mp.weixin.qq.com/advanced/advanced?action=dev&t=advanced/dev&token=" + token + "&lang=zh_CN&f=json",
    headers:headers,
        values :values
    };

    return JSON.stringify(jsonData);
}

function userDetailGetUserDetail(token){
    var headers = [];
    var values = [];

    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/settingpage?t=setting/index&action=index&token=" + token + "&lang=zh_CN&f=json",
        headers:headers,
        values :values
    };

    return JSON.stringify(jsonData);
}

function udGetHeadImage(token,fakeid){
    var headers = [];
    var values = [];
    var jsonData = {
        url :"https://mp.weixin.qq.com/misc/getheadimg?fakeid=" + fakeid + "&token=" + token + "&lang=zh_CN",
        headers :headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function udGetQRCodeImage(token,fakeid){
    var headers = [];
    var values = [];
    var jsonData = {
        url :"https://mp.weixin.qq.com/misc/getqrcode?fakeid=" + fakeid + "&token=" + token + "&style=1",
        headers :headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function udGetApplyProgress(token)
{
    var headers = [];
    var values = [];
    var jsonData = {
        url :"https://mp.weixin.qq.com/pay/index.php/c/get_apply_progress?g_ty=ajax",
        values :values,
        headers:headers
    };
}

function userDetailGetFansAndNewMessageCount(token){
	var headers = [ ];
	var values = [];
	var jsonData = {
			url:"https://mp.weixin.qq.com/cgi-bin/home?t=home/index&lang=zh_CN&f=json&token=" + token,
			headers :headers,
			values : values
	};
	return JSON.stringify(jsonData);
}

function pUserDetailGetAppInfo(response){
    if (response == null || response.length == 0) {
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    try{
        var advancedEditStatus;
        var advancedDevStatus;
        var mobile;
        var protect_status;
        var advanced_dev_url;

        var json = JSON.parse(response);
        if(json.base_resp.ret >= 0){
            mobile = JSON.parse(json.user_acl.base_acl.strategy_resp).strategy_status.mobile;
            protect_status = JSON.parse(json.user_acl.base_acl.strategy_resp).strategy_status.mobile.protect_status;
            advanced_dev_url = json.advanced_info.dev_info.callback_url;
            advancedDevStatus = json.advanced_info.is_dev_reply_open;
            advancedEditStatus = advancedDevStatus == 1 ? 0 : 1;

            jsonData.advancedEditStatus = advancedEditStatus;
            jsonData.advancedDevStatus = advancedDevStatus;
            jsonData.mobile = mobile;
            jsonData.protect_status = protect_status;
            jsonData.advanced_dev_url = advanced_dev_url;
        }else{
            jsonData = {};
            jsonData.base_resp = {};

            jsonData.base_resp.ret = -1101;
            jsonData.base_resp.msg = "appInfo解析失败";

            return JSON.stringify(jsonData);
        }
    }catch(err){
        jsonData = {};
        jsonData.base_resp = {};

        jsonData.base_resp.ret = -1101;
        jsonData.base_resp.msg = "appInfo解析失败";

        return JSON.stringify(jsonData);
    }

    jsonData.base_resp.ret = 0;
    return JSON.stringify(jsonData);
}

function pUserDetailGetUserDetail(response){
    if (response == null || response.length == 0) {
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};
    var ticket = "";
    var fakeId = "";
    var name = "";
    var srcId = "";
    var passPort = "";
    var type = "";
    var address = "";
    var signature = "";
    var certificate = "";
    var subject = "";

    var hasComment = false;
    var hasAppreciated = false;
    var hasCopyright = false;

    try{
        var json = JSON.parse(response);
        if (json.base_resp.ret == 0) {
            ticket = json.base_resp.media_ticket;
            fakeId = json.user_info.fake_id;
            name = json.user_info.nick_name;
            srcId = json.setting_info.original_username;
            passPort = json.setting_info.username;
            var service_type = json.user_info.service_type;
            if (service_type == 1 || service_type == 0) {
                type = "订阅号";
            }else if(service_type == 2){
                type = "服务号";
            }
            address = json.setting_info.location_info.position;
            signature = json.setting_info.intro.signature;

            var wxverify_status = json.user_info.is_wx_verify;
            if (wxverify_status == 0) {
                certificate = "未认证";
            }else{
                certificate = "已经认证";
            }
            subject = json.setting_info.contractor_info.name;

            jsonData.ticket = ticket;
            jsonData.fakeId = fakeId;
            jsonData.address = address;
            jsonData.name = name;
            jsonData.passPort = passPort;
            jsonData.type = type;
            jsonData.certificate = certificate;
            jsonData.signature = signature;
            jsonData.srcId = srcId;
            jsonData.subject = subject;
            jsonData.base_resp.ret = 0;

            try{
                var nav_item = json.base_resp.nav.nav_items[0].nav_item;
                for(var i =0;i < nav_item.length ;i++){
                    item = nav_item[i];
                    if(item.id == 10033){
                        hasComment = true;
                    }else if(item.id == 10040){
                        hasAppreciated = true;
                    }else if(item.id == 10042){
                        hasCopyright = true;
                    }
                }

            }catch(err){
            }
            jsonData.hasComment = hasComment;
            jsonData.hasAppreciated = hasAppreciated;
            jsonData.hasCopyright = hasCopyright;

        }else{
            jsonData = {};
            jsonData.base_resp = {};

            jsonData.base_resp.ret = -1100;
            jsonData.base_resp.msg = "获取userDetail失败";
        }

    }catch(err){
        jsonData = {};
        jsonData.base_resp = {};

        jsonData.base_resp.ret = -1100;
        jsonData.base_resp.msg = "获取userDetail失败";
    }
    return JSON.stringify(jsonData);
}


function pUserDetailGetFansAndNewMessageCount(aa) {
    var jsonData = {};
    jsonData.base_resp = {};
    try {
        var response = JSON.parse(aa);
        if (response.base_resp.ret == 0) {
            var homeInfo = response.home_info;
            jsonData.fansCount = homeInfo.total_friend_cnt;
            jsonData.newMessageCount = homeInfo.new_msg_cnt;
            jsonData.newFansCount = homeInfo.new_friend_cnt;
            jsonData.todayMoney = "-1";

            jsonData.base_resp.ret = 0;
        }else{
            jsonData.base_resp.ret = -1204;
            jsonData.base_resp.msg = response.base_resp.err_msg;
        }
    } catch (err) {
        jsonData.base_resp.ret = -1204;
        jsonData.base_resp.msg = "获取粉丝数失败";
    }
    return JSON.stringify(jsonData);
}


function pUserLogout(response){
    var jsonData = {};
    jsonData.base_resp = {};
    jsonData.base_resp.ret = 0;
    jsonData.response = response;
    return JSON.stringify(jsonData);
}


function pUserLogin(jsonString){
    var jsonData = {};
        jsonData.base_resp = {};

    var jsonObject = JSON.parse(jsonString);

    if(jsonObject.base_resp.ret == 0){
        if(jsonString.indexOf("qy.weixin.qq.com") != -1){
            jsonData.base_resp.ret = -1000;
            jsonData.base_resp.msg = "不支持企业号登录！";
        }
        else
        {
            jsonData.base_resp.ret = 0;
            jsonData.token = privateUserGetToken(jsonString);

            if(jsonData.redirect_url != null){
            	 jsonData.base_resp.ret = -1007;
                 jsonData.redirect_url = jsonData.redirect_url;
            }else if(jsonData.token.length <= 0){
                var phone = privateUserGetPhone(jsonString);
                if(phone == null || phone.length <= 0){
                    var ticketJson = privateUserGetTicket(jsonString);
                    if(ticketJson != null){
                        jsonData.base_resp.ret = -1002;
                        jsonData.ticketJson = ticketJson;
                        jsonData.base_resp.msg = "您的帐号开通了微信保护功能，需要进行微信验证";
                    }else{
                        jsonData.base_resp.ret = -1003;
                        jsonData.base_resp.msg = "您的帐号可能是新注册帐号！信息还在审核中！通过审核之后才能在我们平台使用！请关注您注册时填写的邮箱查看进度！";
                    }
                }
                else{
                    jsonData.base_resp.ret = -1001;
                    jsonData.phone = phone;
                    jsonData.base_resp.msg = "请输入短信验证码";
                }
            }
        }
    }
    else{
        switch(jsonObject.base_resp.ret){
            case -1:
            {
                jsonData.base_resp.ret = -1011;
                jsonData.base_resp.msg = "系统错误，请稍后重试！";
            }
                break;
            case 200023:
            {
                jsonData.base_resp.ret = -1012
                jsonData.base_resp.msg= "您输入的帐号或者密码不正确，请重新输入。";
            }
            case 200002:
            {
                jsonData.base_resp.ret = -1012;
                jsonData.base_resp.msg = "帐号或密码错误！";
            }
                break;
            case 200021:
            {
                jsonData.base_resp.ret = -1013;
                jsonData.base_resp.msg = "不存在该帐户。!";
            }
                break;
            case 200007:
            {
                jsonData.base_resp.ret = -1014;
                jsonData.base_resp.msg = "您目前除于访问受限状态！";
            }
                break;
            case 200008:
            {
                jsonData.base_resp.ret = -1015;
                jsonData.base_resp.msg = "请输入图中验证码！";
            }
                break;
            case 200027:
            {
                jsonData.base_resp.ret = -1016;
                jsonData.base_resp.msg = "您的验证码不正确请重新输入！";
            }
                break;
            case 200026:
            {
                jsonData.base_resp.ret = -1017;
                jsonData.base_resp.msg = "该公众会议号已过期，无法登录使用！";
            }
                break;
            case 200025:
            {
                jsonData.base_resp.ret = -1018;
                jsonData.base_resp.msg = "不支持海外用户！";
            }
                break;
            case 200121:
            {
                jsonData.base_resp.ret = -1019;
                jsonData.base_resp.msg = "该帐号属于微信开放平台！";
            }
                break;
        }
    }

    return JSON.stringify(jsonData);
}

function pArticleGetTempurl(response){

    if (response == null || response.length == 0) {
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var articleJson = JSON.parse(response);
    var ret = articleJson.base_resp.ret;
    if (ret == 0) {

        jsonData.base_resp.ret = 0;
        jsonData.temp_url = articleJson.temp_url;
    }else{
        jsonData.base_resp.ret = -1300;
        jsonData.base_resp.msg = "获取图文临时链接失败，请重试！";
    }

    return JSON.stringify(jsonData);
}


//private
function privateUserGetToken(jsonstring){
    var token = "";
    try{
        if(jsonstring.indexOf("&token=") != -1){
            token = jsonstring.substring(jsonstring.indexOf("&token=") + "&token=".length);
            token = token.substring(0,token.indexOf("\""));
        }
    }catch(err){
        token = "";
    }
    return token;
}

//private
function privateUserGetPhone(response){
    var phone = "";

    if(response.indexOf("validate_phone_tmpl") == -1){
        return null;
    }else{
        phone = response.substring(response.indexOf("&phone=") + "&phone=".length);
        phone = phone.substring(0, phone.indexOf("\""));
        return phone;
    }
}

//private
function privateUserGetTicket(response){
    var ticketJson = {};
    if (response.indexOf("validate_wx_tmpl") == -1) {
        return null;
    }else{
        var account = response.substring(response.indexOf("&account=") + "&account=".length);
        account = account.substring(0, account.indexOf("&"));

        var appticket = response.substring(response.indexOf("&appticket=") + "&appticket=".length);
        appticket = appticket.substring(0, appticket.indexOf("&"));

        var bindalias = response.substring(response.indexOf("&bindalias=") + "&bindalias=".length);
        bindalias = bindalias.substring(0, bindalias.indexOf("&"));

        ticketJson.account = account;
        ticketJson.appticket = appticket;
        ticketJson.bindalias = bindalias;

        return ticketJson;
    }
}

//sendSecuresmsverify
function pUserGetSmsCode(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
        jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);

    var errCode = jsonObject.base_resp.ret;
    if(errCode != 0){
        jsonData.base_resp.ret = -1004;
        jsonData.base_resp.msg = "获取验证码过于频繁，请过段时间再试";
    }else{
        jsonData.base_resp.ret = 0;
        jsonData.base_resp.msg = "发送成功，请注意查收，可能会短时间延迟，请耐心等待";
    }

    return JSON.stringify(jsonData);
}

//sendSecuresmsverify, sms_code
function pUserCheckSmsCode(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
        jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);
    var errCode = jsonObject.base_resp.ret;
    if(errCode != 0){
        jsonData.base_resp.ret = -1006;
        jsonData.base_resp.msg = "短信验证码输入有误，请重新输入";
    }else{
        var token = privateUserGetToken(response);
        if(token != null && token.length != 0){
            jsonData.base_resp.ret = 0;
            jsonData.token = token;
        }else{
            jsonData.base_resp.ret = 0;
            jsonData.response = response;
        };
    }

    return JSON.stringify(jsonData);
}

//getTicket(this, "")
function pUserGetTicket(response){
    var jsonData = {};
        jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);

    var errCode = jsonObject.base_resp.ret;
    if(errCode == 0){
        jsonData.base_resp.ret = 0;
        jsonData.ticket = jsonObject.ticket;
        jsonData.operation_seq = jsonObject.operation_seq;
    }else{
        jsonData.base_resp.ret = -1010;
        jsonData.base_resp.msg = "获取ticket失败";
    }
    return JSON.stringify(jsonData);
}

//getUUID(ticket)
function pUserGetUUID(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
        jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);

    jsonData.base_resp.ret = 0;
    jsonData.uuid = jsonObject.uuid;
    jsonData.timestamp = new Date().getTime();

    return JSON.stringify(jsonData);
}


function pUserCheckQrCode(response){
    if(response == null || response.length == 0){
            return null;
        }

        var jsonData = {};
            jsonData.base_resp = {};

        var jsonObject = JSON.parse(response);

        if(jsonObject.status == 1){
            jsonData.base_resp.ret = 0;
            jsonData.code = jsonObject.code;
        }else if(jsonObject.status == 3){
          jsonData.base_resp.ret = -1;
          jsonData.base_resp.msg = "二维码已过期";
        }else{
            jsonData.base_resp.ret = -1008;
            jsonData.base_resp.msg = "您还未扫描二维码！请先扫描后点击确认！";
        }

        return JSON.stringify(jsonData);
}
function nPUserCheckQrCode(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
        jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);

    if(jsonObject.status == 1){
        jsonData.base_resp.ret = 0;
        jsonData.code = jsonObject.code;
    }else if(jsonObject.status == 3){
      jsonData.base_resp.ret = -1;
      jsonData.base_resp.msg = "二维码已过期";
    }else{
        jsonData.base_resp.ret = -1008;
        jsonData.base_resp.msg = "您还未扫描二维码！请先扫描后点击确认！";
    }

    return JSON.stringify(jsonData);
}

function pUserCheckQrCodeSecurewxverify(response){
   if(response == null || response.length == 0){
          return null;
      }

      var jsonData = {};
          jsonData.base_resp = {};

      var jsonObject = JSON.parse(response);

      var errCode = jsonObject.base_resp.ret;
      if(errCode == 0){
          var token = privateUserGetToken(response);
          if(token != null && token.length != 0){
              jsonData.base_resp.ret = 0;
              jsonData.token = token;
          }else{
              jsonData.base_resp.ret = -9999;
              jsonData.base_resp.msg = "未知错误";
          };
      }else if (errCode == 1000) {
               jsonData.base_resp.ret = 1000;
               jsonData.base_resp.msg = "已向管理员申请操作";
           }else if (errCode == 11004) {
          jsonData.base_resp.ret = 11004;
          jsonData.base_resp.msg = "其他帐号申请登录";
      }else{
          jsonData.base_resp.ret = -1009;
          jsonData.base_resp.msg = "二维码认证错误";
      };

      return JSON.stringify(jsonData);
};



//private
function privateUserGetToken(jsonstring){
    var token = "";
    try{
        if(jsonstring.indexOf("&token=") != -1){
            token = jsonstring.substring(jsonstring.indexOf("&token=") + "&token=".length);
            token = token.substring(0,token.indexOf("\""));
        }
    }catch(err){
        token = "";
    }
    return token;
}

//private
function privateUserGetPhone(response){
    var phone = "";

    if(response.indexOf("validate_phone_tmpl") == -1){
        return null;
    }else{
        phone = response.substring(response.indexOf("&phone=") + "&phone=".length);
        phone = phone.substring(0, phone.indexOf("\""));
        return phone;
    }
}


function pUserLogout(response){
     if(response == null || response.length == 0){
            return null;
     }
      var jsonData = {};
      jsonData.base_resp = {};
      jsonData.base_resp.ret = 0;
//      jsonData.response = response;
      return JSON.stringify(jsonData);
}

function pUserSafeassistantAdminAction1(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);
    jsonData.base_resp.ret = jsonObject.base_resp.ret;
    jsonData.base_resp.msg = jsonData.base_resp.err_msg;
    return JSON.stringify(jsonData);
}

function pUserSafeassistantAdminAction2(response){
    if(response == null || response.length == 0){
        return null;
    }

    var jsonData = {};
    jsonData.base_resp = {};

    var jsonObject = JSON.parse(response);
    if (jsonObject.status == 1){
        //登录成功
        jsonData.base_resp.ret = 0;
        jsonData.base_resp.msg = "验证成功";
    }else {
        //需联系管理员验证
        jsonData.base_resp.ret = -1;
        jsonData.base_resp.msg = "需联系管理员验证";
    }
    return JSON.stringify(jsonData);
}


function yiDianGetUserDetail(cookie){
    var headers = [{"Accept":"*/*"},
    {"Accept-Encoding":"gzip,deflate,sdch,br"},
    {"Accept-Language":"zh-CN,zh;q=0.8"},
    {"Connection":"keep-alive"},
    {"cookie":cookie},
    {"User-Agent":"Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2490.76 Mobile Safari/537.36"}];
    var values = [];

    var jsonData = {
        url:"http://mp.yidianzixun.com/api/users/get-homepage-data?_rk=1481094460497",
        headers:headers,
        values :values
    };

    return JSON.stringify(jsonData);
}

function pYiDianGetUserDetail(response){
if (response == null || response.length == 0) {
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};
    var json = JSON.parse(response);
    jsonData.base_resp.ret = json.code;
    if(jsonData.base_resp.ret == 0){
            jsonData.subscribe = json.result.viewDoc;
            jsonData.index = json.result.clickDoc;
            jsonData.read_count = json.result.orders;
            jsonData.base_resp.msg = "登录成功";
    }else{
            jsonData.base_resp.ret = -1;
           jsonData.base_resp.msg ="登录失败";
    }
    return JSON.stringify(jsonData);
}


function weiboGetUserDetail(cookie){
    var headers = [
//    {"Accept":"text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8"},
//    {"Accept-Encoding":"gzip,deflate,sdch,br"},
//    {"Accept-Language":"zh-CN,zh;q=0.8"},
//    {"Connection":"keep-alive"},
    {"Cookie":cookie}
//    ,
//    {"Cookie":"_T_WM=ae82de8fd2b60799b11a933329b86f46; SCF=Ar6Pcc_We6ycA4kD9QslcE_CAD_RVRbh0YVNRChUr6p1qHtZp1JmT597DM9K7Ic6PRwMkhT3j_m--chKPpvZ7IE.; SUB=_2A251NvW4DeTxGeRP4lYT8CbOzT2IHXVW2JvwrDV6PUJbkdBeLVjwkW0kgfntH_9qZyjc995YhKgNfwClUQ..; SUHB=0ElLqIxM-kSv5H; _WEIBO_UID=2194208261"},
//    {"Upgrade-Insecure-Requests":1},
//    {"Host":"m.weibo.cn"},
//    {"User-Agent":"Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2490.76 Mobile Safari/537.36"}
    ];
    var values = [];

    var jsonData = {
        url:"http://m.weibo.cn/home/me?format=cards",
        headers:headers,
        values :values
    };

    return JSON.stringify(jsonData);
}

function pWeiboGetUserDetail(response){
if (response == null || response.length == 0) {
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};
    var json = JSON.parse(response);
    var name = json[0].card_group[0].user.name;
    if(name){
    jsonData.base_resp.ret = 0;
    }else{
     jsonData.base_resp.ret = -1;
    }
    if(jsonData.base_resp.ret == 0){
    var user = json[0].card_group[0].user;
    jsonData.uid = user.id;
    jsonData.name = user.name;
    jsonData.subscribe = user.mblogNum;
    jsonData.index = user.fansNum;
    jsonData.read_count = user.attNum;
    jsonData.avartar = user.avatar_hd;
    jsonData.base_resp.msg = "登录成功";
    }else{
            jsonData.base_resp.ret = -1;
           jsonData.base_resp.msg ="登录失败";
    }
    return JSON.stringify(jsonData);
}

function qieGetSubscribe(cookie,mediaId){
    var headers = [{"Accept":"application/json"},
    {"Cookie":cookie},
    {"Host":"m.om.qq.com"},
    {"Referer":"https://m.om.qq.com/mobile/article"},
    {"X-Requested-With":"XMLHttpRequest"},
    {"User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/53.0.2785.143 Safari/537.36"}];
    var values = [];

    var jsonData = {
        url:"https://m.om.qq.com/Statistic/MediaTotal?_r=0.4001740047074682&media="+mediaId,
        headers:headers,
        values :values
    };

    return JSON.stringify(jsonData);
}

function pQieGetSubscribe(response){
if (response == null || response.length == 0) {
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};
    var json = JSON.parse(response);
    jsonData.base_resp.ret = json.response.code;
    if(jsonData.base_resp.ret == 0){
    var data = json.data;
    jsonData.subscribe = data.subs_cnt_today;
    jsonData.index = data.subscribe;
    jsonData.read_count = data.read;
    jsonData.base_resp.msg = "登录成功";
    }else{
            jsonData.base_resp.ret = -1;
           jsonData.base_resp.msg ="登录失败";
    }
    return JSON.stringify(jsonData);
}


function toutiaoGetSubscribe(cookie,mediaId){
    var headers = [{"Accept":"text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8"},
    {"Cookie":cookie},
    {"Host":"mp.toutiao.com"},
    {"Referer":"https://m.om.qq.com/mobile/article"},
    {"User-Agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/53.0.2785.143 Safari/537.36"}];
    var values = [];

    var jsonData = {
        url:"https://mp.toutiao.com/statistic/profile_stat/?_=1478598641876",
        headers:headers,
        values :values
    };

    return JSON.stringify(jsonData);
}

function pToutiaoGetSubscribe(response){
if (response == null || response.length == 0) {
        return null;
    }
    var jsonData = {};
    jsonData.base_resp = {};
    var json = JSON.parse(response);
    if(json.message == "success"){
        jsonData.base_resp.ret = 0;
    }else{
        jsonData.base_resp.ret = -1;
    }
    if(jsonData.base_resp.ret == 0){
    var data = json.data;
        jsonData.subscribe = data.total_subscribe_count;
        jsonData.index = data.recommend_factor;
        jsonData.read_count = data.go_detail_count;
        jsonData.base_resp.msg = "登录成功";
    }else{
            jsonData.base_resp.ret = -1;
           jsonData.base_resp.msg ="登录失败";
    }
    return JSON.stringify(jsonData);
}
